Bienvenue dans l'aide de MacDisk

Présentation générale
MacDisk est un programme extrêmement simple d'emploi et vous devriez pouvoir en tirer pleinement parti sans devoir recourir sans cesse à la documentation. Cependant, afin de vous aider dans vos premiers pas, nous avons regroupé ci-dessous quelques informations qui pourraient vous être utiles.

Les fonctions de MacDisk
Page consacrée aux fonctions de MacDisk, c'est-à-dire aussi bien à ce qu'il fait qu'à ce qu'il ne fait pas. Présentation de son écran de travail et des éléments affichés.

Les volumes supportés par MacDisk
Page expliquant les différents types de disques (volumes logiques) supportés par MacDisk, ainsi que les spécificités de certains. Voir aussi ci-dessous.

Méthodes d'accès aux disques
Page présentant les méthodes utilisées par le programme pour accéder physiquement aux disques. Liens vers les pages plus techniques permettant de résoudre les difficultés initiales comme les disques invisibles, les erreurs à l'exécution, etc.

Utilisation de l'aide
Page présentant les principes du système d'aide, afin de vous permettre de vous y retrouver dans les meilleures conditions.

Dernière mise à jour : novembre 2013.


Les fonctions de MacDisk

Généralités
MacDisk permet de lire, d'écrire et de formater sur un PC tous les types de supports de données Macintosh : disquettes Haute Densité (Notez cependant que MacDisk ne peut pas, pour des raisons matérielles, lire les disquettes double densité), CD-ROM, cartouches amovibles (Zip, Jaz, SyQuest, etc., qu'ils soient connectés sur un bus SCSI, IDE ou USB, FireWire [IEEE 1394] ou encore sur le port parallèle) et même les disques durs (toutes versions de Windows depuis XP seulement).
MacDisk n'écrit pas sur les CD-ROM (CD-R ou CD-RW). Si vous souhaitez produire sur un PC des CD Macintosh (purement HFS, hybrides HFS/ISO 9660 ou encore ISO 9660 avec Extensions Apple), veuillez envisager notre programme MacImage.

MacDisk offre toutes les fonctions nécessaires, comme la copie dans le sens Macintosh vers PC (importation de données depuis le support Macintosh) et dans le sens PC vers Macintosh (exportation de données vers le support Macintosh), le changement de dossier, la création et la suppression de fichiers et de dossiers, le changement de nom de la disquette, des dossiers ou des fichiers, etc.

Organisation de l'écran
MacDisk offre classiquement une barre de menus, comme toutes les applications Windows, avec les rubriques Volume Mac, Fichiers, Options et Aide).
La ligne de boutons placée juste au-dessous permet d'accéder directement (sans dérouler les menus) aux fonctions les plus fréquemment utilisées, à savoir :

  • Copier entre le volume Macintosh et le disque dur du PC,
  • Copier entre le disque dur du PC et le volume Macintosh,
  • Recharger un nouveau volume Macintosh dans le même lecteur,
  • Rechercher un fichier ou dossier sur le volume Macintosh,
  • Remonter dans le dossier-père,
  • Créer un nouveau dossier,
  • Supprimer un fichier/dossier sur le volume Macintosh,
  • Appeler le système d'aide en ligne.
La partie centrale affiche le contenu du volume Macintosh, en deux volets, conformément à la norme actuelle des outils d'exploration, avec à gauche un volet d'exploration présentant les dossiers du volume et à droite un volet de liste présentant plusieurs colonnes :
  • Nom du fichier/dossier,
  • Type de fichier/dossier,
  • Longueur de la branche de données,
  • Longueur de la branche de ressources,
  • Date de création,
  • Date de la dernière modification,
  • Signature.
Un premier clic sur la tête de la colonne trie le contenu dans l'ordre ascendant, un second clic le trie dans l'ordre descendant. Cette fonction peut être utile pour classer les fichiers en fonction de leur taille, etc. Appliquée à la colonne des signatures, elle permet en outre de trier les fichiers en fonction de leur nature (par exemple, regrouper tous les fichiers de texte Word, les maquettes Xpress, les feuilles de calcul Excel, etc.).
Enfin, la dernière ligne de l'écran est une barre d'état pour l'affichage d'informations ou de messages destinés à renseigner ou guider l'utilisateur.

MacDisk et les fichiers
MacDisk est un utilitaire de gestion de disques. Il traite les fichiers comme des boîtes noires à l'intérieur desquelles il ne faut pas intervenir. MacDisk n'est pas un outil de conversion (logique), mais « seulement » un utilitaire de transfert physique de données entre Macintosh et PC.
MacDisk est cependant fourni avec MacTexte, un petit programme de conversion sans prétentions qui traite en entrée MacWrite 4/5, MacWrite II (pas la version Pro), Nisus, Texte seul, Claris Works, MS-Works, RagTime 2 et 3 (uniquement les fichiers de texte dans le cas de ces logiciels intégrés) et produit en sortie de l'Ansi, de l'Ascii, du RTF, du Word 2 pour Windows et du Wordperfect 5. Pour en savoir plus, consultez la documentation de ce programme annexe.

MacDisk et les signatures Macintosh
Pour établir la correspondance entre la signature Macintosh, composée d'une chaîne de type et d'une chaîne de créateur, et les extensions du monde PC, MacDisk utilise une table de correspondance. Un module d'édition de la table de correspondance, SignEdit, qui peut être appelé directement depuis le programme, permet de corriger cette table et de l'adapter aux besoins spécifiques de l'utilisateur (formats peu répandus, nouvelles versions, etc.).

Site Internet www.macdisk.com
Nous avons créé sur l'Internet un site Web présentant des informations complémentaires, que nous tenons à jour aussi fréquemment que possible. Nous vous invitons à le visiter régulièrement.


Volumes supportés par MacDisk

Volumes magnétiques HFS et HFS+
MacDisk est destiné à gérer les disques et volumes Macintosh HFS et HFS+ montés sur un PC. Il doit s'agir de disques locaux, donc physiquement présents sur l'ordinateur où s'exécute le programme (voir cependant ci-dessous les développements sur les volumes NTFS). Nous ne pouvons pas gérer les volumes HFS vus au travers d'un réseau.
MacDisk ne lit pas les Disquettes double densité.

CD-ROM
MacDisk lit les CD-ROM HFS (CD-ROM qui sont des copies de volumes HFS normaux). Cependant, dans la mesure où il est également possible de graver sur un Macintosh des CD-ROM au format ISO 9660 (avec ou sans les Extensions Apple), notre programme gère également ces types de supports afin de faciliter la récupération des données dans de bonnes conditions.

Production de CD-ROM Macintosh
MacDisk n'écrit pas sur les CD-ROM (CD-R ou CD-RW). Si vous souhaitez produire sur un PC des CD Macintosh (purement HFS, hybrides HFS/ISO 9660 ou encore ISO 9660 avec Extensions Apple), veuillez envisager notre programme MacImage.

Voir aussi : Méthodes d'accès aux disques.


Méthodes d'accès aux disques

Depuis Windows XP, MacDisk utilise pour accéder aux disques de l'ordinateur un service spécial (Lsdiorw) exploitant des fonctions IOCTL (Input/Output Control) et SPTI (Scsi Pass-through Interface).

Le service lsdiorw doit être installé et démarré depuis un compte administrateur afin de donner accès aux disques dans l'application MacDisk, même dans le cadre d'une session lancée depuis un compte utilisateur. L'installation se fait en allant dans le dossier lsdiorw, créé dans le dossier d'installation de MacDisk. Cliquez sur l'icône de l'installateur graphique (lsdinst.exe) et cliquez sur le bouton Installer.
Après cette première installation, le service doit démarrer lors de l'allumage de l'ordinateur.

Installation et désinstallation du service Lsdiorw
Vous pouvez vérifier que le service est bien installé et démarré à partir de la console d'administration des services :

Démarrer, Paramètres, Panneau de configuration, Outils d'administration, Services

Dans la liste qui s'affiche alors, trouvez la ligne de Lsdiorw. Le service devrait être noté comme démarré. Si ce n'est pas le cas, sélectionnez la ligne et cliquez sur le bouton droit de la souris. Dans le menu contextuel qui s'affiche, sélectionnez Démarrer. Le système doit vous afficher un message indiquant que le service a correctement démarré.

L'installation et la désinstallation s'effectuent en utilisant l'installateur (lsdinst.exe), placé dans le même dossier lsdiorw. Deux boutons sont proposés, Installer et Désinstaller, dont un seul est validé en fonction de la situation. Vous pouvez éventuellement vérifier dans la console d'administration que la désinstallation s'est bien passée.

Voir aussi : Les volumes supportés par MacDisk.


Aide sur l'aide

Le programme vous propose de l'aide sous différentes formes :

Fichier d'aide :
A partir de la page de présentation, vous pouvez naviguer dans le présent fichier pour prendre connaissance des informations qu'il fournit, sur ses méthodes, sur les opérations possibles, etc. Le volet de navigation dans la partie gauche de l'écran vous permet de repérer rapidement les grands chapitres dont se compose cette aide.

Aide contextuelle :
Dans toutes les fenêtres de dialogue et dans tous les menus, et d'une manière générale à chaque fois que l'utilisateur est appelé à faire quelque chose, ou à prendre une décision, un système d'aide contextuelle appelé par la touche F1 ou le clic droit de la souris vous affiche une aide concise sur le contexte dans lequel vous vous trouvez.
Vous pouvez également cliquer sur le gros bouton portant l'icône du programme pour appeler une aide plus développée.

Aide sur l'Internet :
Dans le menu Aide, ainsi que dans la fenêtre 'À propos de MacDisk...' se trouvent des liens vous permettant de visiter les pages de support technique publiées sur notre site Internet. Si vous êtes connecté, cette source d'information peut être très précieuse, dans la mesure où elle est régulièrement mise à jour à partir des informations recueillies dans l'utilisation quotidienne du programme et dans l'assistance technique.

Liste de diffusion :
Enfin, nous avons mis en place une liste de diffusion sur l'utilisation de MacDisk et, plus généralement, sur toutes les questions qui se posent dans les transferts de données entre Macintosh et PC. Vous pouvez vous y inscrire à partir de notre site ("http://www.macdisk.com/listfr.php3").

Premiers pas
Si c'est la première fois que vous utilisez le programme, nous vous conseillons de suivre les exemples de session de travail que nous avons préparés spécifiquement pour vous :

  • Ouverture (montage) d'un volume Macintosh dans le programme,
  • Copie de fichiers entre le volume Macintosh et le disque dur du PC,
  • Copie de fichiers entre le disque dur du PC et le volume Macintosh.


Prise en mains

Bienvenue !
Cette section vous propose trois sessions de travail commentées :

  • Ouvrir et monter un volume Macintosh
  • Copie de fichiers entre le volume Macintosh et le PC
  • Copie de fichiers entre le disque dur du PC et le volume Macintosh


Ouverture d'un volume Macintosh

Sélection du lecteur
Lorsque vous lancez le programme, celui-ci vous propose dans une fenêtre l'ensemble des lecteurs qu'il est en mesure d'ouvrir.

Il vous suffit alors de cliquer sur le bouton représentant le lecteur qui vous intéresse pour que le programme l'ouvre et analyse sa structure.

MacDisk, avant d'afficher les disques équipant votre ordinateur, teste le formatage des disques durs et ne les affiche pas s'il reconnaît un formatage de type PC. Si vous souhaitez malgré tout accéder à ces disques à l'aide de MacDisk, cochez la case au-dessus de la liste des disques. MacDisk affiche alors la totalité des disques (attention, y compris le disque C:\). Voir la page des Disques Windows pour plus de renseignements.

Vous pouvez maintenant poursuivre avec la copie de fichiers, entre le volume Macintosh et le disque dur du PC ou encore, dans le sens inverse, entre le PC et le volume Mac.

Si vous souhaitez examiner un autre lecteur, il suffit de dérouler le menu 'Volume Mac' et de sélectionner la rubrique 'Lecteur Mac'. La fenêtre de sélection est à nouveau affichée, et vous pouvez procéder comme ci-dessus.

Si le programme n'affiche pas les lecteurs que vous attendez, veillez bien à ce qu'ils soient sous tension au lancement de MacDisk. Il ne faut pas procéder dans l'ordre inverse (lancer MacDisk et brancher un disque).

Formatage
À partir de la boîte de sélection des disques, vous pouvez avoir besoin de formater un disque avec le système de fichiers Macintosh, par exemple pour placer une série de fichiers Macintosh sur un support amovible qui doit être remis à un fournisseur de services.
Ce bouton appelle le point d'entrée du code de formatage.


Copie de fichiers vers le PC

Après avoir ouvert le volume Macintosh, vous avez à l'écran des fichiers et des dossiers, contenant à leur tour des fichiers ou des sous-dossiers, etc. Pour notre exemple, nous ne sélectionnerons qu'un seul fichier, mais vous pourriez en sélectionner plusieurs, ainsi que des dossiers. Vous pourrez le faire par la suite, après cette première séance de travail.

Si votre fichier est visible, sélectionnez-le en cliquant sur son nom. La ligne passe en inversion vidéo pour vous indiquer que la sélection a été enregistrée.

Si le fichier n'est pas visible, il peut se trouver dans sous-dossier (l'un de ceux affichés à l'écran - vous pouvez reconnaître les dossiers à leur icône, ou encore à la mention figurant dans la colonne Type - ou peut-être à un niveau plus profond encore). Les dossiers s'ouvrent dans le programme par un double clic sur leur nom. Si vous vous êtes trompé dans une opération (clic sur un autre nom, par exemple), vous pouvez remonter dans le dossier précédent en utilisant le bouton [image] dans la barre d'outils.

Cliquez maintenant sur le bouton [image] dans la barre d'outils. Le programme répond en affichant la fenêtre de sélection du dossier de destination.

Cette fenêtre affiche le dossier de destination par défaut (si le programme a déjà été utilisé). Sinon, il s'agit du dossier « Mes Documents ». Un bouton « Parcourir » vous permet de parcourir le ou les disques durs pour en sélectionner ou en créer un autre, dans lequel vous voulez placer le fichier. Le programme sauvegarde ce dossier dans le Registre et l'utilise ensuite par défaut.

Cette fenêtre est une fenêtre classique de Windows et ne devrait donc pas susciter de difficultés. Toutefois, si vous êtes un nouvel utilisateur de l'interface Windows, prenez le temps de tester les différentes commandes, afin de vous familiariser avec leur utilisation. Quand vous avez le dossier voulu dans la case inférieure, validez en cliquant sur le bouton 'OK'.

Pour les besoins de notre exemple, nous allons placer le fichier dans le dossier « Mes Documents », qui est l'option par défaut. Pour lancer la copie réelle, nous cliquons donc sur le bouton 'Copier Maintenant'.

MacDisk copie le fichier et referme la fenêtre. La phase de transfert physique est terminée.

En fonction de la nature du fichier copié, il existe plusieurs situations. S'il s'agit d'un fichier comme Word ou Excel, ou encore un des grands formats graphiques, vous devez maintenant l'ouvrir dans le programme correspondant. Dans le cas d'autres formats pour lesquels il n'existe pas d'application correspondante sur le PC, il peut être nécessaire de passer par une phase de conversion.

Pour continuer :

  • Ouverture d'un volume Macintosh
  • Conversion d'un fichier avec MacTexte
  • Copie de fichiers entre le PC et le support Macintosh.


Copie de fichiers vers le Mac

Nous vous présentons ci-dessous une session de travail avec copie de données vers le support Macintosh et différentes opérations de manipulation de ce support.

Nous vous conseillons d'exécuter parallèlement toutes les opérations décrites sur un de vos supports afin de vous familiariser avec l'esprit du programme. Nous supposons pour les besoins de notre démonstration que vous avez un support Macintosh, que vous avez déjà ouvert, et que vous souhaitez remettre à un interlocuteur une série de fichiers de texte (créés sous Word Windows, par exemple) qu'il pourra ainsi relire et aisément exploiter.
Si le support n'est pas formaté, voyez Formater un support Macintosh.

Cliquez sur le bouton [image]. MacDisk affiche une grande fenêtre de sélection des fichiers à copier vers le Macintosh, qui mérite certaines explications.

Structure générale
Cette fenêtre de dialogue offre un certain nombre de fonctions qui l'apparentent à une fenêtre principale d'application. De haut en bas, nous avons une barre de titre, une barre de menus, une barre d'outils, une zone de chemin d'accès et enfin une zone de liste.

Menus
Le menu 'Fichier' propose soit de copier vers le volume Macintosh les rubriques sélectionnées dans la zone de liste, soit de retourner à l'écran principal de Macdisk sans rien faire.
Le menu 'Édition' propose des options de sélection dans la zone de liste, à savoir tout sélectionner, inverser la sélection et tout désectionner. Aucun commentaire ne devrait être nécessaire.

Barre d'outils
La barre d'outils est assez classique et offre, de gauche à droite, les fonctions suivantes :

  • Sélection d'un autre disque
  • Remontée dans le dossier-parent
  • Affichage par grandes icônes
  • Affichage par petites icônes
  • Affichage par liste
  • Affichage par colonnes
  • Copie vers le volume Mac

Zone de liste
Cette zone de liste offre les fonctions usuelles de Windows et affiche avec icônes ou avec colonnes. Lorsque l'affichage est en colonnes, il est possible de trier dans l'ordre ascendant ou descendant en cliquant sur la tête de la colonne. Cette liste permet de sélectionner des dossiers ou fichiers pour les copier vers le volume Macintosh (bouton de la barre d'outils, rubrique du menu fichier ou encore menu contextuel appelé par un clic droit).

Menu contextuel
Le menu contextuel offre trois fonctions :
Comptage de la sélection
Il est parfois nécessaire de se faire une idée de la taille des éléments que l'on a sélectionnés (par exemple pour être sûr que cela ne dépassera pas la capacité du volume de destination).
Copie vers le Mac
La fonction de copie est proposée également dans le menu contextuel pour faciliter les opérations.
Fermer la fenêtre
Enfin, vous pouvez refermer la fenêtre depuis ce menu.

Pour en savoir plus :
Autres opérations sur le volume Macintosh.


Menus de MacDisk

MacDisk vous propose les menus suivants (cliquez sur les liens pour plus d'informations) :

  • Menu Volume Mac, regroupant toutes les rubriques intéressant la gestion des disques,
  • Menu Fichiers, regroupant toutes les rubriques intéressant la gestion des fichiers (copie, suppression, etc.),
  • Menu Options, regroupant toutes les rubriques commandant certaines caractéristiques de fonctionnement,
  • Menu Expert, regroupant toutes les fonctions avancées du programme (ce menu est normalement caché, et ses fonctions ne doivent être utilisées que si vous savez précisément ce que vous faites),
  • Menu Aide, regroupant toutes les ressources d'aide et d'assistance.


Menu Volume Mac

Le menu Volume Mac regroupe les rubriques de sélection et de manipulation du volume Macintosh, ainsi que le point de sortie du programme.

  • Lecteur Mac
    Sélection du lecteur contenant le volume Macintosh à lire.
  • Actualiser [F5]
    Chargement d'un nouveau volume amovible placé dans le même lecteur.
  • Partition/Piste
    Changement de partition/de piste sur le volume Macintosh courant.
  • Formater
    Formatage d'un disque pour qu'il contienne un volume Macintosh.
  • Éjecter
    Éjection du disque amovible Macintosh.
  • Propriétés du volume
    Affichage d'une fenêtre de dialogue présentant un certain nombre d'informations sur le volume Macintosh, avec possibilité de le renommer.
  • Imprimer [Ctrl P]
    Impression du contenu du dossier courant sur le volume Macintosh.
  • Quitter
    Sortie du programme et retour à Windows.

Retour à la liste des menus.


Menu Fichiers

Le menu Fichier regroupe les rubriques de manipulation des fichiers et des dossiers.

  • Copier vers le PC
    Copie de fichiers et de dossiers depuis le volume Macintosh vers le PC.
  • Copier vers le volume Mac
    Copie de fichiers et de dossiers depuis le PC et vers le volume Macintosh.
  • Coller depuis l'Explorateur
    Copie des fichiers et des dossiers sélectionnés dans l'Explorateur (copier-coller).
  • Lancer l'Explorateur
    Lancement de l'Explorateur pour copier des fichiers et des dossiers (glisser-déposer et copier-coller).
  • Créer nouveau dossier
    Création d'un nouveau dossier sur le volume Macintosh.
  • Supprimer
    Suppression d'un fichier ou d'un dossier du volume Macintosh.
    Attention : les fichiers ou dossiers supprimés ne sont pas placés dans la Corbeille, et sont donc définitivement détruits.
  • Renommer
    Renommage d'un fichier ou d'un dossier du volume Macintosh.
  • Afficher
    Affichage du contenu (brut) d'un fichier Macintosh.
  • Propriétés
    Affichage des propriétés du fichier ou dossier sélectionné.
  • Rechercher un fichier
    Recherche d'un fichier ou d'un dossier sur le volume Macintosh.
  • Sélectionner tout
    Sélection de tous les fichiers ou dossiers dans le dossier Macintosh courant.
  • Inverser la sélection
    Les fichiers et dossiers sélectionnés sont désélectionnés, et inversement.

Retour à la liste des menus.


Menu Options

Le menu Options offre plusieurs rubriques qui modifient le comportement du programme.

  • Langue de travail
    Sélection de la langue d'affichage (Anglais ou Français). Le choix se fait dans un sous-menu
  • Fichier de signatures...
    Contrôle du fichier de signatures enregistré dans le Registre pour le programme.
  • Éditeur de signatures...
    Lancement de l'éditeur SignEdit32 pour modifier/compléter le fichier de signatures utilisé.
  • Colonnes d'affichage
    Appel d'une fenêtre de dialogue pour sélectionner/masquer les colonnes d'affichage, et définir leur largeur.
  • Préférences...
    Appel d'une fenêtre de dialogue regroupant plusieurs éléments qui définissent le comportement du programme.
  • Menu Expert
    Affichage/masquage du menu Expert. Cette option peut également être armée définitivement dans la rubrique Préférences.

Retour à la liste des menus.


Menu Expert

Le menu Expert n'est affiché que lorsque la rubrique correspondante a été cochée dans le menu Options. Pour vous éviter d'avoir à le réafficher à chaque fois que vous en avez besoin, il est également possible de demander dans les Préférences (voir le menu Options) de toujours l'afficher.

Le menu Expert offre plusieurs rubriques qui modifient profondément le comportement du programme. Toutes ces options supposent que vous sachiez très précisément ce que vous faites, ce qui explique pourquoi ce menu est normalement caché.

  • Mode de copie
    Copie des données du fichier, de ses ressources ou des deux branches en mode MacBinary. Le choix se fait sous la forme de sous-menus.
  • Fichier-journal
    Ouverture d'un fichier-journal enregistrant les noms des fichiers copiés avec leur dénomination d'origine et de destination.
  • Liste noire...
    Liste des disques qui ne doivent pas être présentés à la sélection.
  • Interversion des branches
    Interversion des deux branches de données et de ressources composant le fichier Macintosh
  • Recherche brutale...
    Recherche brutale de la tête logique du volume Macintosh.
  • Copie spéciale...
    Ouverture d'une fenêtre de dialogue pour la saisie d'instructions en mode ligne de commande.
  • Reconstruction de l'arbre
    Opération de reconstruction de l'arbre du catalogue (structure utilisée pour la gestion des fichiers et dossiers du disque).
  • Duplication de disques...
    Copie du volume Macintosh à l'identique sur un autre support, dans un fichier ou depuis un fichier vers un disque.
  • Sauvegarde des arbres
    Opération de sauvegarde dans un fichier du catalogue et des extensions. À utiliser si le service technique vous le demande.

Retour à la liste des menus.


Menu Aide

Ce menu est le point d'entrée dans l'aide de MacDisk.

  • Comment utiliser l'aide
    Une petite page d'aide sur l'utilisation de l'aide.
  • Accès à l'aide
    Accès au fichier d'aide (le présent fichier).
  • Recherche dans l'aide
    Accès à la fonction de recherche intégrée au fichier d'aide.
  • Index de l'aide
    Accès à l'index du fichier d'aide.
  • Support technique en ligne
    Accès aux pages de support technique de Logiciels & Services Duhem sur l'Internet.
  • À propos de MacDisk
    Affichage de la classique fenêtre de dialogue affichant la version du programme ainsi que le numéro de série.

Retour à la liste des menus.


Comment faire pour...

  • Afficher le contenu brut d'un fichier
  • Changer le langage d'affichage des messages
  • Convertir un fichier
  • Dupliquer un disque
  • Éditer les signatures
  • Enregistrer les opérations dans un fichier-journal
  • Formater un disque Macintosh
  • Masquer certains disques du PC
  • Mettre à jour la couche ASPI
  • Rechercher des fichiers
  • Saisir/modifier le numéro de série
  • Transférer des polices de caractères


Afficher le contenu d'un fichier

Il peut parfois être utile de visualiser le contenu d'un fichier stocké sur un support Macintosh réel (dans MacDisk) ou virtuel (dans MacImage en mode Partition).
Lorsque le fichier est sélectionné, la rubrique « Afficher » du menu Fichier ou du menu contectuel appelle une seconde fenêtre d'affichage.

Voir les pages consacrées au Module d'affichage.


Comment afficher les disques Windows ?

Pour éviter les erreurs gravissimes (formater son disque c: !!), MacDisk analyse les disques physiques présents sur l'ordinateur et n'affiche que les disques fixes qui ne sont pas formatés pour Windows et les disques amovibles.

Il peut cependant arriver que vous vouliez accéder à un tel disque depuis MacDisk. Dans ce cas, cochez la case qui se trouve au-dessus de la liste. Vous obtenez alors l'ensemble des disques présents sur l'ordinateur. Cette mesure de sécurité s'applique également à la boîte de sélection du disque à formater et à la boîte de renseignement de la liste noire, c'est-à-dire de la liste des disques que vous ne voulez jamais afficher dans ces boîtes.

Dans la copie d'écran ci-dessus, le disque 'WDC WD60' est le disque principal de l'ordinateur et c'est sur lui que se trouve le disque logique C:\.


Changer la langue du programme

Lorsqu'il est lancé pour la première fois, le programme demande à Windows quelle est la langue utilisée sur l'ordinateur et affiche ses messages en conséquence, soit en anglais, soit en français.
Cependant, il peut se produire que ce code soit mal interprété, et qu'il soit donc nécessaire de changer la langue du programme manuellement. Cela se fait à partir du menu Options. Ensuite, le code est stocké dans le Registre, si bien qu'il n'est plus nécessaire de s'en préoccuper.

Retour à la page « Comment faire... ».


MacMail

Généralités
MacMail est un programme destiné à faciliter le traitement des fichiers Macintosh reçus par le courrier électronique (pièces jointes) ainsi que l'identification des fichiers Macintosh dont le nom n'indique pas le contenu.
Avec le développement du courrier électronique, les transferts de fichiers entre Macintosh et PC passent de moins en moins par des supports physiques, hormis le cas des fichiers graphiques (et autres) très lourds, pour lesquels on utilise encore fréquemment le CD-ROM ou d'autres types de supports amovibles.
La difficulté fréquemment rencontrée est que les fichiers ainsi transmis peuvent être codés ou conteneurisés (voir notre page d'informations techniques). De plus, les logiciels de courrier tournant sur Macintosh utilisent souvent par défaut des méthodes de codage qui sont peu ou mal connues sur le PC, comme BinHex, MacBinary ou encore AppleSingle et AppleDouble (cf. notre page sur les pièces jointes). Même lorsque les fichiers sont de simples fichiers de données, ils ne sont généralement pas identifiés par une extension (comme *.DOC pour un fichier Word, etc.).
Enfin et surtout, les polices Macintosh sont des fichiers un peu spéciaux qui ne sont pas bien traités dans les procédures par défaut.
L'objectif de MacMail est de résoudre certains de ces problèmes.

Pour en savoir plus :

  • MacMail - Interface utilisateur
  • MacMail - Mode Manuel
  • MacMail - Mode Automatique


Conversion logique avec MacText

Nota bene :
Cette phase de conversion logique n'est nécessaire que si le programme de destination ne sait pas relire le format d'origine. Ce n'est pas le cas dans les échanges de fichiers Word, Excel, PageMaker, Xpress, de fichiers graphiques, etc. Notez encore que, comme son nom l'indique, MacText ne convertit que certains formats de texte, et non pas les fichiers graphiques, les bases de données ou les feuilles de calcul.

Internace utilisateur

Lancez le programme MacText en cliquant sur son icône. Le programme affiche son écran principal (voir ci-dessus). Prenez le temps d'examiner ses différents éléments, qui sont, de haut en bas :

  • la barre des menus,
  • un premier onglet destiné à recevoir les fichiers à convertir,
  • la zone des paramètres indiquant les conditions de fonctionnement du programme.

En cliquant sur le bouton 'Parcourir', vous pouvez sélectionner le dossier dans lequel vous voulez placer le résultat de la conversion.

Si vous cliquez sur le second onglet, vous affichez les formats de conversion :

Vous constatez que l'interface du programme reste identique, mais que le contenu de la fenêtre centrale a changé. Cette fenêtre affiche les différents formats d'origine et de destination. Vous pouvez sélectionner le format d'origine de votre fichier dans la liste de gauche. La sélection est copiée dans la première ligne de la zone de paramètres.

De manière similaire, sélectionnez le format de destination dans la liste de droite. La sélection est copiée dans la seconde ligne de la zone de paramètres.

Processus de conversion

Les fichiers à convertir sont sélectionnés dans l'Explorateur et déposés dans la fenêtre de MacText par glisser-déposer ou par copier-coller.
On se trouve alors dans la situation illustrée ci-dessous :

La conversion est lancée en déroulant le menu 'Fichier' et en sélectionnant, suivant le cas, la rubrique 'Convertir' pour convertir tous les éléments sélectionnés ou la rubrique 'Convertir tout' pour convertir l'ensemble des fichiers placés dans la liste.

Pour continuer :

  • Ouverture d'un volume Macintosh
  • Copie de fichiers du volume Mac vers le PC
  • Copie de fichiers entre le PC et le volume Mac.


Fichiers Macintosh sur l'Internet

Internet et les fichiers Macintosh
La réception de fichiers Macintosh sur un PC depuis l'Internet (téléchargement depuis un serveur FTP ou HTTP, réception en tant que pièce jointe annexée à un courrier électronique) mérite quelques commentaires pour deux raisons.
D'abord, les fichiers Macintosh ne sont pas monolithiques, mais se composent de deux parties, la première appelée "branche de données" (data fork) et la seconde "branche de ressources" (resource fork). Voyez la page que nous consacrons à cette question des branches des fichiers pour plus de précisions.
Ensuite, la nature des fichiers n'est pas exprimée sous la forme d'une extension ajoutée au nom du fichier (suffixe), mais sous la forme d'une signature (chaîne de 8 caractères exprimant le créateur du fichier et le type du fichier). Voir également la page que nous consacrons aux signatures Macintosh pour plus de précisions.

"Conteneurisation"
Pour ces deux raisons, les fichiers Macintosh stockés sur des serveurs gérés sous des systèmes d'exploitation qui ne connaissent pas les branches ou flux doivent être "conteneurisés" afin de sauvegarder leurs éléments constitutifs. Les logiciels Macintosh effectuent le plus souvent ce type de traitement sans le signaler spécifiquement
Ajoutons enfin que les normes du courrier électronique imposent de ne transmettre que des fichiers de texte, et non pas des fichiers binaires. Cela revient à dire que les fichiers doivent être codés sur 7 bits et non pas sur 8 bits. Cette opération s'effectue le plus souvent sur le conteneur mentionné ci-dessus.

Les fichiers Macintosh envoyés en pièces jointes
Dans ces conditions, et pour que les utilisateurs Macintosh ne perdent aucun élément de leurs fichiers lorsque ceux-ci sont envoyés par le courrier électronique, l'usage est que les logiciels de courrier électronique tournant sur un Macintosh effectuent deux opérations sur les fichiers émis :

  • conteneurisation (regroupement des deux branches ainsi que des informations du Finder dans un conteneur, donc un fichier unique)
  • encodage (passage de 8 bits à 7 bits)
Par opposition, un logiciel de courrier sur un PC n'exécute que l'encodage.
A la réception, le programme doit d'abord décoder le flux de données, puis ouvrir le conteneur pour en récupérer les éléments.

Normes utilisées
Quatre normes sont utilisées pour effectuer ces opérations. D'abord, MacBinary et Apple Single, qui prennent en charge la conteneurisation. Le principe de base est de mettre les deux branches l'une derrière l'autre et d'y ajouter des éléments tels que la signature. Le fichier obtenu est ensuite codé sur 7 bits. Dans le premier cas, les données précèdent les ressources, dans le second cas, c'est le contraire.
La norme Apple Double, qui est comme Apple Single une norme MIME (RFC1740), utilise une méthode radicalement différente, en plaçant les deux branches dans des flux différents qui peuvent être intégrés dans le message électronique par le logiciel de courrier. A la réception, le client décode ce qu'il reconnaît, généralement la seule branche de données, la branche de ressources étant alors ignorée et donc perdue.
Enfin, le cas du format Binhex est un peu spécial en ce sens que les deux opérations sont effectuées en même temps et que le fichier obtenu est un conteneur codé sur 7 bits et comprimé, donc prêt à envoyer. Si la phase d'encodage n'est pas strictement nécessaire dans le cas d'un téléchargement sur un serveur HTTP ou FTP, l'ancienneté de cette norme fait qu'elle est fréquemment utilisée aussi pour ce type d'opérations.

Traitement des fichiers
La difficulté essentielle est d'identifier les traitements qui ont été exécutés sur le ou les fichiers que vous recevez.
Notre utilitaire MacMail permet d'automatiser dans une large mesure le traitement des pièces jointes. Nous vous invitons à consulter sa page pour en savoir plus.
Il reste toujours possible d'ouvrir le fichier dans un traitement de textes et de rechercher au début des éléments caractéristiques.
Les fichiers Binhex contiennent la chaîne suivante dans la première ligne : "(This file must be converted with BinHex 4.0)".
Les fichiers MacBinary peuvent se reconnaître au fait qu'ils contiennent au tout début (décalage 2) une chaîne de caractères qui est le nom Macintosh original du fichier, puis un peu plus loin (décalage 65) la signature du fichier original.
Les fichiers Apple Double et Apple Single ne devraient normalement pas se rencontrer tels que sur votre ordinateur. Ces formats sont utilisés dans le courrier électronique avec des programmes modernes, qui devraient les décoder automatiquement. Néanmoins, précisons que la "signature magique" des fichiers Apple Single est 0x00051600 tandis qu'elle est de 0x00051607 pour les fichiers Apple Double. Cette signature se trouve dans les quatre premiers octets du fichier unique dans le cas de la norme Apple Single et dans les quatre premier octets du fichier d'en-tête (qui contient tous les éléments du fichier hormis la branche de données) dans le cas de la norme Apple Double.

Cas spécial des polices de caractères
Si vous recevez des polices de caractères Macintosh par courrier électronique et que votre interlocuteur les a codées en Apple Double ou en Apple Single, vous ne pouvez rien faire, sinon constater que le fichier obtenu est de longueur nulle. Les logiciels clients de courrier qui savent en effet traiter ces formats adoptent l'attitude la plus logique, qui est de récupérer ce qui est probablement récupérable, donc la branche de données.
Même si ce n'est pas du tout ce que vous vouliez faire.

Pour pouvoir récupérer la police et l'utiliser, il faut employer un logiciel connaissant la nature des deux autres modes de codage, à savoir BinHex et MacBinary.
Notez tout de même que si l'on vous a envoyé une police d'affichage, elle ne peut servir à rien. Seules les polices True Type et les polices Type 1 contiennent du code exploitable.
Voyez également la page plus générale que nous consacrons aux Transferts de polices.

Comment expédier un fichier vers un Macintosh
Le problème ne se pose pas seulement d'exploiter sur PC des fichiers créés sur un Macintosh et envoyés par courrier électronique. Il existe de la même manière si vous voulez envoyer un fichier en pièce jointe depuis votre PC. Plusieurs solutions sont possibles, en fonction du degré de connaissances de votre interlocuteur.
Si vous envoyez un fichier de bureautique, par exemple Word ou Excel, veillez bien à ne pas envoyer un fichier codé dans une version trop récente du programme. Nous conseillons, pour les fichiers Word, de sauvegarder au format Word 5 pour le Macintosh, ou encore au format Word 2 pour Windows, et pour les fichiers Excel, d'enregistrer au format Excel 5.
Un fichier PC simplement envoyé de cette manière en pièce jointe n'aura probablement pas de signature en arrivant sur le Macintosh. Cela signifie que l'utilisateur ne devra pas essayer de l'ouvrir en cliquant deux fois sur son icône, mais en passant par le programme voulu et par le menu Fichier, puis Ouvrir.


Duplication de disques

Cette fonction, accessible dans le menu Expert, propose trois modes de travail :

  • Copie de disque à disque
  • Copie d'un fichier vers un disque
  • Copie d'un disque dans un fichier

Dans tous les cas, la copie est une copie brute, secteur par secteur, ne tenant aucun compte de la structure du disque d'origine ou de destination (en particulier des partitions). Cette fonction ne permet pas de copier une seule partition, par exemple.
Ces options correspondent à différentes situations, qui sont envisagées ci-dessous.

Copie de disque à disque
Un prestataire extérieur vous a remis un volume Macintosh et vous devez le donner par exemple à votre imprimeur. Mais vous aimeriez en garder une copie, juste au cas où ! Cette option vous permet de le faire, et de copier l'intégralité du disque sur un autre disque de taille identique ou supérieure. Notez bien que vous pourriez aussi utiliser la seconde option et copier les données dans un fichier (voir ci-dessous).

Copie entre un fichier et un disque
Vous aviez copié un volume dans un fichier, ou vous avez utilisé un programme qui produit des images de disques, et vous voulez replacer le contenu sur un disque physique. C'est précisément l'objectif de cette seconde option.

Copie d'un disque dans un fichier
Cette troisième option vous permet de conserver les données dans un fichier plutôt que sur un support physique. Vous pouvez ainsi comprimer le fichier. Vous pouvez toujours le replacer sur un disque physique ultérieurement, en utilisant la seconde option, ci-dessus.

Retour à la page « Comment faire... ».


Édition des signatures

Table des signatures
Nos programmes sélectionnent pour les fichiers créés du côté PC des extensions qui sont calculées à partir des signatures des fichiers Macintosh d'origine. A l'inverse, les fichiers créés sur le volume Macintosh sont dotés d'une signature déterminée en fonction de leur extension PC, de manière à obtenir des fichiers permettant de lancer une application (icônes « double-cliquables »).

Si le comportement du programme ne vous convient pas (fichiers de formats spécifiques, nouvelles versions de programmes créant de nouveaux types de fichiers, etc.), vous pouvez modifier vous-même la table de correspondance à l'aide de l'utilitaire SignEdit.

Comment connaître la signature ?
Pour connaître la signature d'un fichier Macintosh, il est nécessaire de pouvoir en obtenir un sur un support Macintosh lisible. Après avoir ouvert le volume, sélectionnez le fichier voulu et regardez ce qui est affiché dans la dernière colonne à droite. Prenez-en note, en distinguant bien entre les majuscules et les minuscules. C'est la chaîne que vous reporterez dans la table avec SignEdit.

Liste de signatures
L'aide en ligne comprend une table déjà assez longue de signatures Macintosh. Vous pouvez également vous rendre sur notre site (http://www.macdisk.com/macsigfr.htm), où cette liste est fréquemment mise à jour. Par ailleurs, nous y donnons des pointeurs sur des sources d'information.

SignEdit, l'éditeur de signatures
SignEdit est un module autonome qui est lancé depuis le menu Options. Il charge automatiquement le fichier de signatures déclaré dans le registre pour le programme.

Pour plus d'informations, consultez l'aide en ligne de SignEdit.


Fichier-journal

Le fichier-journal est un fichier en Ascii consignant les opérations réalisées dans le programme. Il est parfois difficile de se souvenir de tous les fichiers copiés, et surtout de la correspondance entre les noms Macintosh et les noms qui ont été attribués côté MS-DOS.
Le fichier-journal permet d'en garder une trace.
Par ailleurs, si vous copiez une arborescence touffue, le fichier-journal vous permet de retrouver plus facilement vos fichiers.
Cette fenêtre permet d'ouvrir un fichier-journal existant, d'en créer un nouveau et de refermer le fichier lorsqu'une séquence d'opérations ne doit pas être enregistrée.

Retour à la page « Comment faire... ».


Formater un support Macintosh

Disquette ou autre support ?
Le formatage diffère suivant que vous voulez produire une disquette Macintosh (disquette HD de 1,44 Mo) ou un autre support (clef USB, cartouche amovible, disque dur, etc.).

Pour continuer :

  • Formater une disquette
  • Formater un autre support.


Formatage d'une disquette

Introduction
Formater un support tel qu'un disque ou une disquette consiste à écrire sur le support les pistes et les secteurs où seront stockées les données. Ce formatage de bas niveau est identique pour les disquettes 1,44 Mo, qu'elles soient utilisées sur un Macintosh ou sur un PC. Seule diffère ensuite l'utilisation de ces structures. Cela explique qu'il soit possible de pratiquer un reformatage rapide, où le programme se contente de réécrire les premières pistes de la disquette.

Lancement du formatage d'une disquette
Lorsque vous demandez le formatage d'un volume dans le menu Volume Mac, le programme vous demande de sélectionner le disque que vous voulez formater, en n'affichant que les disques formatables, donc pas les CD-ROM.

Cliquez sur le bouton représentant le lecteur de disquettes. Le programme affiche alors la fenêtre de dialogue suivante :

Le programme vous permet ainsi de créer une disquette portant une structure de gestion des fichiers du Macintosh.

La fenêtre affichée vous demande de saisir le nom du nouveau volume et offre les deux boutons classiques de validation et d'annulation. Cette fenêtre offre en outre une case à cocher intitulée Reformatage rapide. Si vous cochez cette case, les opérations sont très rapides et MacDisk vous ramène rapidement à la fenêtre principale du programme.

Formatage normal
Dans le cas contraire, les opérations de formatage demandent entre une et deux minutes. Afin de vous permettre de vérifier que les opérations avancent normalement, le programme indique le numéro de la piste en cours de formatage dans la barre d'état.

A la fin du formatage, MacDisk reprend la main et écrit les pistes de gestion en mode Macintosh sur la disquette nouvellement créée.

Voir aussi : Formatage des autres supports magnétiques.


Formatage des autres supports

Introduction
La raison expliquant que les autre supports magnétiques ne sont pas formatés directement, comme le montre la page consacrée aux disquettes, est que ces volumes peuvent être partitionnés. Il existe sur le marché des supports Macintosh (par exemple des cartouches Zip) qui utilisent un formatage de type « disquette », mais cela viole les règles posées par Apple. Même un disque ne contenant qu'une seule partition doit contenir une table de partition classique.
À noter que ce formatage n'est pas un formatage de bas niveau.

Lancement du formatage
Lorsque vous demandez le formatage d'un volume dans le menu Volume Mac, le programme vous demande de sélectionner le disque que vous voulez formater, en n'affichant que les disques formatables, donc pas les CD-ROM. Si vous ne voyez pas un disque dur que vous voulez formater (Attention, le formatage détruit toutes les données enregistrées sur le support !!), cochez la case à cocher au-dessus de la liste, pour afficher les disques qui sont formatés pour le PC.

Pour notre exemple, nous allons formater le disque Sony. Cliquez sur le bouton représentant le disque à formater. Le programme lance alors l'Assistant de formatage. Dans le cas le plus simple (partition unique, options par défaut), cet assistant vous permet de lancer le formatage en quelques clics de souris.

Formater un disque a pour conséquence de détruire son contenu antérieur. Il est donc souhaitable que l'utilisateur puisse vérifier qu'il accède bien au lecteur qu'il entend formater, et pas à un autre. Cette fenêtre propose un test d'accès au lecteur. Cet accès, non destructif naturellement, permet de vérifier que la diode du disque s'allume.

Quand le test est achevé, le bouton 'Suivant' est validé.

Lorsque le disque a été monté sous Windows (c'est-à-dire lorsque Windows lui a attribué une lettre de disque), il est protégé par le système contre le formatage. Pour formater le disque malgré tout, il est nécessaire de le « démonter » logiquement. Pour cela, vous devez saisir dans la boîte de dialogue la lettre qui lui a été attribuée.

L'étape suivante vous permet de choisir le système de fichiers à utiliser pour le formatage.
Le format HFS (Mac OS Standard) est le format traditionnel des disques Macintosh. Il assure la compatibilité maximale (même avant Mac OS 8). Cependant, il ne permet pas de gérer les gros disques modernes. Même si vous sélectionnez HFS, MacDisk passe automatiquement à HFS+ pour les disques de 40 Go et plus. Par contre, le système de fichiers HFS+ (Mac OS Étendu) convient bien pour les gros disques.
L'option de formatage avec partition EFI/GPT vous permet d'utiliser ce mode de partitionnement, qui offre un certain nombre d'options (comme le fait de pouvoir formater un disque avec une partition Mac et une partition Windows). Macdisk ne supporte pas encore cette option, mais vous pouvez transformer une des partitions créées (dans le cas de partitions multiples) dans un utilitaire sous Windows (il existe aussi des outils sous Linux pour le faire).
Si vous ne savez pas, laissez la sélection par défaut.

Il faut ensuite choisir de créer sur le disque une partition unique ou des partitions multiples.

Dans le premier cas, les choses sont extrêmement simples, et il ne vous reste plus qu'à choisir le nom de la partition avant de lancer le formatage.

Par contre, dans le cas d'un volume partitionné, MacDisk affiche une fenêtre de création des partitions, où plusieurs options sont présentées :

Dans cet exemple, MacDisk a attribué à une première partition, sans nom, la totalité de l'espace disponible sur le volume. Vous avez en bas deux boutons destinés à éditer les partitions existantes et à ajouter des partitions. Disons que nous allons ajouter une seconde et une troisième partition :

En utilisant ainsi les deux boutons Ajouter et Éditer, vous pouvez organiser l'espace libre sur le disque comme vous l'entendez. Si les tailles attribuées dépassent la capacité totale, MacDisk vous oblige à corriger en vous proposant de réduire la partition la plus grande.
Lorsque le formatage est terminé, MacDisk monte le nouveau disque et vous demande de sélectionner la partition à monter.

Voir aussi : Formatage d'une disquette.


Mise à jour de la couche Aspi

(Windows 95/98/ME et NT 4 seulement)

Lorsque le programme n'affiche pas dans la fenêtre de sélection des disques les périphériques qui sont installés sur votre PC, la première raison à envisager est une version trop ancienne de la couche ASPI.

Comment vérifier la couche Aspi ?
Allez dans le dossier SYSTEM ou SYSTEM32 (voir ci-dessous) et recherchez un fichier appelé WNASPI32.DLL. Faites un clic droit sur son icône et choisissez l'onglet Version. La version installée devrait être 4.57 ou supérieure.
Ce contrôle peut également se faire à l'aide de l'utilitaire ASPITEST.EXE, un outil installé dans le sous-dossier ASPI (également disponible sur notre site Web).

De quoi se compose la couche Aspi ?
La couche ASPI se compose de quatre fichiers, qui portent normalement le même numéro de version (ce n'est plus nécessairement le cas à partir de la version 4.71) :

    Sous Windows 95/98/ME :
  • aspienum.vxd, dans le dossier system
  • apix.vxd, dans le dossier system\iosubsys
  • winaspi.dll, dans le dossier system
  • wnaspi32.dll, dans le dossier system
    Sous Windows NT/2000/XP :
  • aspi32.sys, dans le dossier system32\drivers
  • wowpost.exe, dans le dossier system
  • winaspi.dll, dans le dossier system
  • wnaspi32.dll, dans le dossier system32

Comment effectuer la mise à jour ?
Regardez dans le sous-dossier ASPI créé dans le dossier où vous avez installé le programme principal. Vous devez y trouver le programme ASPIINST.EXE. Lancez-le, redémarrez la machine et tout devrait être réglé.
Si vous tournez sous Windows NT/2000/XP, cette opération doit se faire à partir d'un compte d'administrateur. Seuls les administrateurs sont en effet autorisés à installer des services comme celui de la couche Aspi.
Notez bien que l'on ne doit utiliser la couche Aspi sous Windows 2000/XP que si le comportement normal du programme pose des problèmes. Voir la page sur les Méthodes d'accès de bas niveau pour plus de renseignements.

Pour en savoir plus :

  • Disques supportés par MacDisk.
  • Méthodes d'accès de bas niveau.

Retour à la page "Comment faire pour...".


Liste noire des disques

La liste noire est simplement la liste des disques que vous ne voulez pas afficher dans la fenêtre de sélection des disques (fenêtre utilisée pour les accès en lecture/écriture et pour le formatage).
Cliquez sur les boutons représentant les disques que vous ne voulez pas afficher. L'icône s'affiche alors en négatif avec une croix rouge. Un nouveau clic annule l'opération.
La liste noire des disques est sauvegardée dans le registre et est donc conservée entre les sessions de travail.

Droits d'accès sous Windows 2000 et XP
Sous Windows 2000 et XP, le programme utilise un service pour accéder aux disques durs et aux disques amovibles. Certains administrateurs peuvent souhaiter que le programme ne puisse pas accéder à certains des disques. Il est possible de verrouiller l'accès aux disques et d'inhiber également l'affichage de la fenêtre de gestion de la liste noire.
Voir le fichier admin.txt ou consultez votre administrateur en cas de difficultés.

Retour à la page « Comment faire... ».


Rechercher des fichiers

Le programme offre une double fonction de recherche de fichiers sur le volume, à savoir une recherche par le nom et une recherche par la signature.

Recherche par le nom
Ce mode vous permet de localiser facilement un fichier sur le volume Macintosh lorsque vous ne savez pas précisément dans quel sous-dossier il peut se trouver. Cela peut être utile dans le cas de volumes relativement complexes, ou dans le cas de volumes que vous n'avez pas ouverts depuis longtemps. Plutôt que d'ouvrir successivement tous les dossiers à la recherche du fichier perdu, tapez ce que vous savez de son nom dans la première ligne de la boîte et lancez la recherche.
Si un seul fichier est trouvé, ou si tous les fichiers trouvés sont dans le même dossier, le programme affiche directement le dossier en question.
Si plusieurs fichiers correspondent aux critères donnés, le programme vous offre la possibilité de choisir dans une liste de sélection, et il affiche ensuite le dossier sélectionné.
Le programme accepte seulement le caractère '*' comme joker.

Recherche par la signature
Ce mode répond à une autre démarche. Vous avez par exemple entre les mains un CD-ROM dont vous souhaiteriez savoir s'il contient des fichiers QuickTime. Ou bien vous avez copié une arborescence assez touffue de votre disque dur vers la partition Macintosh virtuelle et vous ne savez pas précisément où se trouve le film Quick Time qu'elle doit contenir. Une consultation de la page des signatures Macintosh vous indique que la signature est "MooV" (attention aux minuscules et aux majuscules, qui ne sont pas traitées comme équivalentes). Tapez donc cette signature dans la seconde ligne et lancez la recherche.
S'il n'y a qu'un seul fichier correspondant à vos critères, le programme affiche directement son dossier.
D'un autre côté, s'il y en a plusieurs, le programme vous affiche la liste des fichiers QuickTime présents sur le disque et vous permet de sélectionner celui qui vous intéresse. Le programme affiche alors le dossier qui le contient.


Normalisation des noms Macintosh

Les noms de fichiers Macintosh peuvent contenir des caractères qui ne sont pas acceptés dans un nom de fichier sous Windows. SFM (Services For Macintosh) gère ces exceptions en utilisant une page spéciale Unicode.
Cette fenêtre propose les différentes options applicables à la normalisation des noms de fichiers Macintosh.
Les caractères « illégaux » (caractères qui ne peuvent pas être utilisés dans un nom de fichier sous Windows) sont soit remplacés par le trait de soulignement '_', soit supprimés.
Une extension peut être ajoutée ou non au nom de fichier. Lorsque la correspondance entre les signatures Macintosh et les extensions PC est établie, le programme ajoute « .doc » aux fichiers Word, etc. Lorsqu'il ne connaît pas une extension, il est possible de rajouter « .txt » ou de ne rien faire.
Enfin, les utilisateurs de Macintosh connectés au serveur ne peuvent voir les fichiers qu'à la condition que la longueur du nom n'excède pas 31 caractères (longueur maximale des noms de fichiers Macintosh sous Mac OS 9 et antérieurs). Si les fichiers doivent rester visibles pour ces utilisateurs, il est utile de limiter la longueur des fichiers à 31 caractères. Si la normalisation est faite pour récupérer des archives qui ne seront plus utilisées depuis des postes Macintosh, cette précaution n'est pas nécessaire.

Retour à la page « Comment faire... ».


Saisir/modifier le numéro de série

À la première exécution, le programme demande à l'utilisateur de saisir le numéro de série de son exemplaire du programme. Ce numéro de série, qui se trouve sur le support de données et sur la facture, est ensuite stocké dans le Registre, si bien qu'il ne sera plus jamais redemandé.
Il reste cependant possible de le modifier à partir de la rubrique À propos de MacDisk... dans le Menu Aide.

La structure logique du numéro de série est 'F' pour Français (ou 'E' pour English), 02 pour 2002 (année d'achat ou de mise à jour), puis un numéro à 5 chiffres, par exemple F02.00453.

Au-dessous se trouvent nos coordonnées ainsi que deux boutons destinés à vous permettre de nous adresser un courrier électronique et à visiter les pages de notre Site Internet consacrées à l'assistance technique.

Retour à la page « Comment faire... ».


Transfert de fichiers de polices

Macdisk inclut une fonction de transfert de polices entre les supports magnétiques Macintosh et PC.

Permettez-nous tout d'abord de vous rappeler que la faisabilité technique d'une opération de transfert ne doit pas vous autoriser à ignorer les droits des auteurs de ces polices. Veuillez en conséquence consulter les conditions de votre licence avant de procéder.

Dans certains pays, les polices sont protégées au titre du droit d'auteur, en tant que programmes informatiques (ce sont, en un certain sens, des programmes écrits dans un langage, notamment le PostScript). Dans d'autres, elles ne sont protégées que par leur désignation (au titre des noms [marques protégées] de ces polices). Dans d'autres encore, les créations que représentent chacune des lettres sont considérées elles-mêmes comme des oeuvres. Aucune de ces situations ne vous autorise à méconnaître les droits des personnes [physiques ou morales] qui ont créé des polices de caractères que vous envisagez d'utiliser sur votre ordinateur.

MacDisk et le transfert de polices
MacDisk, lorsqu'il identifie le fichier dont vous avez demandé la copie comme un fichier de police, vous propose de le convertir. Vous pouvez choisir de le faire ou de copier le fichier comme un simple fichier binaire. Voir ci-dessous pour des informations plus détaillées sur les différents types de polices.

Il convient de distinguer plusieurs situations, d'un point de vue technique :

  • Polices True Type transférées du Macintosh vers le PC,
  • Polices True Type transférées du PC vers le Macintosh,
  • Polices Type 1 transférées du Macintosh vers le PC,
  • Polices Type 1 transférées du PC vers le Macintosh.

Retour à la page « Comment faire pour... ».


Polices True Type transférées du Macintosh vers le PC

Les polices True Type, qu'elles soient placées dans des fichiers indépendants ou dans des valises de polices, sont transférées vers le PC individuellement, et placées dans des fichiers à extension TTF. Ces polices peuvent ensuite être installées en suivant les procédures habituelles, à savoir placement dans le répertoire "fonts" de Windows, en passant par le Panneau de configuration, option Polices, ou encore installation au moyen d'un outil de gestion des polices, comme Adobe Type Manager ou équivalent, ce que nous recommandons fortement si vos besoins dépassent l'utilisation élémentaire des polices.

Dans la mesure où les fichiers des polices True Type contiennent l'ensemble des éléments constitutifs de la police (pour l'impression comme pour l'affichage), ce transfert est extrêmement efficace et ne pose généralement aucun problème.

Dans le cas de polices mal conçues, cependant, vous pouvez rencontrer des difficultés parce que toutes les lettres accentuées n'ont pas été incluses dans la police. Un problème fréquent posé par les polices True Type d'origine Macintosh, lorsqu'elles sont utilisées sous Word pour Windows et que vous demandez l'affichage des caractères cachés, est que les espaces (normalement visualisés sous la forme d'un point à mi-hauteur du caractère) apparaissent sous la forme de petits rectangles.

Pour continuer :

  • Polices True Type transférées du PC vers le Macintosh,
  • Polices Type 1 transférées du Macintosh vers le PC,
  • Polices Type 1 transférées du PC vers le Macintosh.

Retour à la page principale.


Polices True Type transférées du PC vers le Macintosh

Les fichiers de polices True Type du PC (extension TTF) sont placés dans des fichiers de ressources indépendants. Nous créons une ressource Macintosh de type 'FOND' (identification de famille de police) pour chacun des fichiers transférés. Nous ne gérons pas encore les polices associées dans des familles. Sur le Macintosh, toutes les polices doivent utiliser un numéro d'identification. Nous attribuons un numéro à chacune des polices, ce qui pourrait éventuellement poser des problèmes de liaison entre les polices.

Nous pensons cependant que cette fonction peut rendre des services utiles lorsqu'il s'agit de flasher des fichiers ou de réaliser d'autres opérations similaires.

Veuillez nous signaler toutes les difficultés que vous rencontrez dans l'utilisation de cette fonction. Nous chercherons à y apporter une solution le plus rapidement possible.

Pour continuer :

  • Polices True Type transférées du Macintosh vers le PC,
  • Polices Type 1 transférées du Macintosh vers le PC,
  • Polices Type 1 transférées du PC vers le Macintosh.

Retour à la page principale.


Polices Type 1 transférées du Macintosh vers le PC

Les polices Postscript, pour être utilisées, doivent être installées au moyen d'un logiciel comme ATM.

Nos programmes identifient les polices Type 1 (Postscript), dont le type de fichier est LWFN (le créateur est variable). Dans ce cas, ils vous proposent de convertir ou non la police. A partir de la police Macintosh, nous créons un fichier d'extension PFB (Printer Font Binary).

Pour installer une police Postcript avec ATM (Adobe Type Manager), il est également nécessaire de disposer d'un fichier PFM (Printer Font Metrics), ou encore d'un fichier AFM (Adobe Font Metrics) et d'un fichier INF. Il n'est pas possible de déduire directement la totalité du contenu du fichier PFM à partir du fichier PFB. Notamment, il n'est pas possible de reconstruire les approches à partir de rien. Nous sommes donc obligés d'utiliser un modèle de fichier PFM qui donne des résultats raisonnables avec un grand éventail de polices classiques.

L'utilisateur doit cependant être conscient que cette méthode peut être la source de problèmes. En effet, les valeurs génériques de notre fichier PFM peuvent ne pas convenir et ne pas reproduire totalement le comportement qui était celui de la police sur le Macintosh. Il faut en particulier vérifier qu'il n'y a pas de reflux du texte ou des titres, surtout dans le cas de maquettes très précises.

Dans la mesure où le fichier PFM n'est utilisé que pour l'affichage, si vous avez uniquement à imprimer un document sur une imprimante PostScript, le résultat devrait cependant être conforme. Nous n'avons pas fait d'essais en impression sur un autre type d'imprimante. La difficulté essentielle est celle où vous devez modifier un document, car il faut dans ce cas travailler en aveugle et imprimer fréquemment.

Si vous avez le CD-ROM Type on Call d'Adobe, celui-ci contient tous les fichiers PFM, ATM et INF des polices de caractères distribuées par Adobe. Nous vous conseillons tout d'abord de télécharger le document fntnames.pdf, au format acrobat, qui présente les noms des polices sur le Macintosh et sous Windows (ftp://ftp.adobe.com/pub/adobe/type/all/fntnames.pdf). Ce document de près d'une centaine de pages vous sera extrêmement utile.

C'est dans ce document que vous allez en effet trouver la correspondance entre les noms des polices et les noms des fichiers dans lesquels elles sont stockées. Il n'y a plus qu'à trouver le fichier sur le CD-ROM. Vous pouvez aussi réaliser une recherche sous Windows en donnant le nom exact de la police comme chaîne à rechercher (troisième onglet : « Avancée » de la fenêtre).Lorsque vous copiez un fichier PFM trouvé sur le CD-ROM, n'oubliez pas que Windows donne l'attribut "lecture seule" au fichier copié sur le disque dur. De plus, ces fichiers ont l'attribut "caché". Un clic droit sur le fichier, onglet "Propriétés", pour corriger cela. Sinon, ATM ne voit pas le fichier PFM et déclare que la police n'existe pas.

Le même site FTP (ftp://ftp.adobe.com/pub/adobe/type) comporte deux sous-répertoires, l'un « mac », l'autre « win », qui contiennent des fichiers ATM et INF. Vous êtes donc en mesure de retrouver les fichiers dont vous avez besoin même si vous ne disposez pas du CD-ROM Type on Call.

Pour continuer :

  • Polices True Type transférées du Macintosh vers le PC,
  • Polices True Type transférées du PC vers le Macintosh,
  • Polices Type 1 transférées du PC vers le Macintosh.

Retour à la page principale.


Polices Type 1 transférées du PC vers le Macintosh

Les polices PostScript, pour être utilisées, doivent être installées au moyen d'un logiciel comme ATM.

La fonction de transfert vers le support Macintosh n'est pas encore mise en œuvre. Nous envisageons de l'intégrer dans la prochaine version.

Pour continuer :

  • Polices True Type transférées du Macintosh vers le PC,
  • Polices True Type transférées du PC vers le Macintosh,
  • Polices Type 1 transférées du Macintosh vers le PC,

Retour à la page principale.


MacMail - Interface utilisateur

MacMail propose deux modes de fonctionnement :
En mode manuel, l'utilisateur sélectionne les fichiers et leur traitement (voir les boutons radio offrant différentes options, dans la partie droite de l'écran).
En mode automatique, le programme surveille un dossier (par exemple, le dossier dans lequel votre logiciel de courrier place les pièces jointes) et signale les fichiers qui y sont créés. Voir les éléments d'information affichés dans le coin inférieur gauche de la copie d'écran ci-dessus.

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Mode Manuel
  • MacMail - Mode Automatique


MacMail - Mode Manuel

En mode de fonctionnement manuel, l'utilisateur sélectionne lui-même des fichiers (voir le bouton « Sélectionner fichiers »), qui sont ensuite affichés dans la liste de gauche. La nature de chacun des fichiers sélectionnés (lorsque la barre en inversion vidéo est sur le nom du fichier) est affichée dans la zone « Caractéristiques du fichier sélectionné ». En fonction de la nature du fichier, plusieurs options sont proposées au-dessous, dans la zone appelée « Sélection du mode de traitement ».
- Si le fichier est de type BinHex, MacBinary, ou encore AppleSingle ou AppleDouble, vous pouvez en extraire la branche de données, la branche de ressources ou encore les deux. Voir notre page sur les branches des fichiers Macintosh pour plus d'informations. Vous pouvez également convertir le fichier en MacBinary.
- Si le fichier est déjà de type MacBinary, seules les options d'extraction de l'une ou l'autre branche sont proposées.
- Si le fichier est une police, MacMail la reconnaît et vous propose de la convertir.
- Dans le cas de certains fichiers de texte, MacMail propose une conversion en RTF.
- Dans les autres cas (à savoir ceux de simples fichiers de données, où le problème [qui peut devenir très gênant] est qu'ils ne sont pas identifiés par une extension correcte), MacMail propose d'ajouter une extension au nom du fichier.

Voir la page sur les Traitements des fichiers pour plus d'informations sur chacune de ces options.

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Interface utilisateur
  • MacMail - Mode Automatique


MacMail - Mode Automatique

En mode automatique, le programme surveille un dossier de l'ordinateur (par exemple, le dossier dans lequel votre logiciel de courrier dépose les pièces jointes, comme le dossier 'attach' dans le cas du programme Eudora). Dès qu'un fichier est créé dans ce dossier, le programme en est informé et il place le nom du fichier dans la liste de gauche.
Le dossier surveillé est sauvegardé dans le registre, afin d'éviter que l'utilisateur n'ait à le sélectionner à nouveau à chaque session. Le lancement de la surveillance s'effectue en cliquant sur le bouton « Surveiller ».
Lorsque le programme fonctionne dans ce mode, il est possible de réduire sa fenêtre (bouton « Arrière-plan ») afin de dégager l'écran pour travailler dans un autre programme. Dans ce cas, le programme signale la réception d'un fichier en faisant clignoter son bouton dans la barre des tâches.
Il revient alors à l'utilisateur d'examiner la nature du fichier et de décider du traitement à lui appliquer (voir les développements consacrés au Traitement des fichiers).

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Interface utilisateur
  • MacMail - Mode Manuel


Module d'affichage

Fonction de visualisation
La fonction de visualisation des fichiers incluse dans le programme est assez rudimentaire, mais suffit par exemple pour distinguer deux fichiers de texte dont le nom n'est pas assez explicatif, ou encore pour se souvenir du contenu d'un fichier dont le nom est trop allusif.
Pour les fichiers binaires, elle peut être utile lorsque le format inclut des chaînes d'identification en clair.
L'affichage effectue la translittération des caractères Macintosh pour obtenir un affichage correct des lettres accentuées. Les caractères de contrôle (caractères non affichables) sont visualisés sous la forme de barres verticales. Un menu propose de choisir entre trois tables (Macintosh, DOS et Windows). Les décalages par rapport au début du fichier sont exprimés en décimal ou en hexadécimal.

L'affichage est divisé en trois parties :

  • Décalage (à gauche)
  • Codes hexadécimaux (au centre)
  • Affichage en clair (à droite).

Branches des fichiers
Si le fichier contient des données et des ressources, la fonction affiche d'abord la branche de données. Vous pouvez demander ensuite l'affichage de la branche de ressources, à partir du menu 'Fichier'.
La branche de ressources peut être affichée de deux manières : d'une part un affichage hexadécimal identique à celui de la branche de données, et d'autre part un affichage arborescent de la structure des ressources (n'oublions pas que la branche de ressources est en fait une base de données). Dans ce cas, il est possible de sauvegarder les éléments individuels des ressources, soit sous la forme d'un listing hexadécimal (commode pour le travail de recherche), soit sous la forme d'une image binaire.
Si le fichier ne contient qu'une seule branche, celle-ci est affichée directement et l'autre option reste grisée.

Plus d'informations sur les Menus.


Menus du module d'affichage

Menu Fichier

Le menu 'Fichier' permet de commuter entre l'affichage de la branche de données et de la branche de ressources, naturellement à la condition qu'elles existent toutes les deux. Dans le cas de la branche de ressources, il est possible d'avoir un affichage à plat et un affichage sous forme d'arbre. Cela suppose de savoir ce qui vous intéresse éventuellement dans les ressources d'un fichier.
Ce menu offre également une rubrique 'Propriétés' pour afficher les propriétés du fichier affiché, ainsi qu'une rubrique 'Imprimer' pour imprimer le contenu brut du secteur courant.
Enfin, la dernière rubrique permet de revenir à l'écran principal de l'application.

Menu Navigation

Ce menu regroupe une série de rubriques destinées à faciliter la navigation dans le fichier affiché et ne nécessitant pas de commentaires supplémentaires.
Une fonction de recherche est également prévue.

Menu Actions

Ce menu offre deux rubriques. La première affiche le contenu du secteur brut affiché en utilisant un gabarit sélectionné en fonction de la nature des données présentes dans le secteur. Cela suppose que le programme puisse détecter la nature du secteur affiché. La seconde commande simplement la sauvegarde dans un fichier du contenu brut du secteur courant.

Menu Options - Affichage

Suivant la nature des données affichées, il peut être intéressant de sélectionner une table Macintosh, Windows ou Ascii DOS pour l'affichage des données en clair dans la colonne de droite.

Menu Options - Numération

Le décalage dans le fichier (colonne de gauche) peut être affiché en valeurs décimales ou hexadécimales.
Enfin, vous pouvez sélectionner le corps de la police utilisée pour l'affichage des données.

Retour à la Page principale du module d'affichage.


SignEdit, l'éditeur des signatures

Présentation de SignEdit
SignEdit est un module auxiliaire qui vous permet de modifier et de compléter la table utilisée par nos programmes afin d'établir la correspondance entre les signatures côté Macintosh et les extensions côté PC. Cette table est stockée dans un fichier de signatures (normalement, extension *.sig). Le fichier de signatures utilisé est stocké dans le Registre de Windows (voir le menu Options).

Lancement
Le module SignEdit est lancé directement depuis l'application principale (à partir du menu Expert). Il ouvre directement la table qui est associée au programme.
Cette méthode du fichier de signatures (au lieu de constantes stockées dans le fichier exécutable) permet de n'utiliser qu'un seul fichier pour les différents programmes. Elle vous permet également de conserver les signatures que vous avez éventuellement modifiées en fonction de vos besoins spécifiques, notamment en cas de changement de version, etc.

Pour en savoir plus :

  • Interface utilisateur
  • Fonctions
  • Menus


SignEdit, Interface utilisateur

Interface utilisateur

L'éditeur de signatures
SignEdit charge automatiquement le fichier de signatures déclaré dans le registre pour le programme.

SignEdit affiche les données dans une liste en colonnes. Les quatre colonnes (Extension, Type de fichier, Créateur, Commentaire explicatif) ne méritent pas de commentaires particuliers. La colonne 'Commentaire' contient une chaîne de caractères à caractère explicatif, qui est affichée par le programme de transfert dans la colonne 'Type', afin de vous aider à identifier la nature des fichiers. Vous pouvez donc y placer ce qui vous convient.

Cette interface en liste permet notamment de trier les colonnes en cliquant sur leur en-tête. La colonne est triée dans l'ordre croissant au premier clic, et dans l'ordre décroissant au second clic. Cela vous permet de travailler de manière ordonnée lorsque vous lancez une session d'édition, et notamment de vérifier que vous n'avez pas introduit de doublons dans la liste. N'oubliez pas que la liste est utilisée à la fois dans le sens Macintosh vers PC et PC vers Macintosh.

Étant donné que la liste est analysée dans l'ordre des rubriques, il faut faire attention à l'ordre dans lequel celles-ci se présentent. Veillez en particulier à ce que la nouvelle rubrique que vous venez de créer n'est pas masquée par une rubrique plus ancienne.
Le menu Édition (de même que le menu contextuel appelé par le clic droit) propose une fonctions de remontée et de descente de la rubrique sélectionnée dans la liste.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Fonctions
  • Menus


SignEdit, Fonctions

Fonctions de SignEdit

Édition d'une signature

Cette fenêtre de dialogue, appelée par la fonction 'Éditer' du menu 'Édition' ou par le menu contextuel, affiche le contenu de la rubrique de signature sélectionnée. L'extension PC peut faire 3 ou 4 caractères. Les deux éléments de la signature Macintosh (Type de fichier et Créateur) occupent chacun 4 caractères.
Dans les signatures Macintosh, on distingue entre les majuscules et les minuscules. Les espaces sont acceptés. Le programme ajoute des espaces à la fin des éléments qui comportent moins de 4 caractères.
Le commentaire est un texte explicatif qui est affiché dans la colonne 'Type' de l'application principale.

Addition d'une signature

Le principe est le même, sinon que la rubrique de signature est nouvelle et que la fenêtre de dialogue est initialement vide.

Où trouver des signatures ?
L'aide en ligne comprend une table déjà assez longue de signatures Macintosh. Vous pouvez également vous rendre sur notre site (http://www.macdisk.com/macsigfr.php3), où cette liste est fréquemment mise à jour. Par ailleurs, nous y donnons des pointeurs sur des sources d'information.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Interface utilisateur
  • Menus


SignEdit, Menus

Menus de SignEdit

Menu Fichier

Le menu 'Fichier' propose les rubriques usuelles d'un éditeur, à savoir 'Nouveau' pour créer un nouveau fichier, 'Ouvrir' pour ouvrir un fichier existant, 'Enregistrer' pour sauvegarder le fichier courant, 'Enregistrer sous' pour l'enregistrer sous un nouveau nom, et enfin 'Fermer' pour fermer le fichier.
Une rubrique 'Imprimer' permet d'envoyer le contenu du fichier en cours vers l'imprimante.
L'habituelle rubrique 'Quitter' sert naturellement à revenir à l'écran principal de l'application.
Ce menu n'appelle donc pas de commentaires particuliers.

Menu Édition

Le menu 'Édition' propose les fonctions agissant sur le contenu du fichier de signatures. 'Éditer' permet de modifier la rubrique de signature sélectionnée. 'Ajouter' crée une nouvelle rubrique qui sera ajoutée à la fin de la liste. Voir les explications données sur ces fonctions pour plus de renseignements.
Les trois fonctions suivantes, 'Couper', 'Coller' et 'Copier', correspondent classiquement aux fonctions usuelles des éditeurs.
Enfin, les deux fonctions 'Remonter' et 'Descendre' permettent de déplacer les rubriques sélectionnées d'un cran vers le haut ou vers le bas, donc de reclasser les rubriques de signature dans un certain ordre (n'oubliez pas que la liste est traitée dans l'ordre où elle se présente).

Menu Registre

Le menu 'Registre' contient une seule rubrique, destinée à stocker le nom du fichier de signatures courant sous une clef du programme principal dans le Registre de Windows.

Menu Aide

Le menu 'Aide' appelle directement la partie de l'aide consacrée à l'Éditeur de signatures.

Menu contextuel

Le menu contextuel (appelé par un clic droit de la souris lorsqu'une rubrique de signatures est sélectionnée), permet de lancer directement les fonctions 'Editer', 'Ajouter', 'Remonter' et 'Descendre' qui ont été décrites ci-dessus à propos du menu 'Édition'.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Interface utilisateur
  • Fonctions


Fiches techniques

Cette section regroupe des fiches techniques qui peuvent vous permettre d'approfondir une question.

  • Norme Binhex
  • Norme MacBinary
  • Branches des fichiers Macintosh
  • Fichiers Macintosh sur l'Internet
  • Signatures Macintosh


Branches des fichiers Macintosh

Les deux branches des fichiers Macintosh
Les fichiers Macintosh ne sont pas monolithiques, mais se composent de deux parties, la première appelée "branche de données" (data fork) et la seconde "branche de ressources" (resource fork). Les concepteurs du système d'exploitation du Mac ont ainsi choisi de séparer ce qui est placé dans un seul flux d'octets sur la plupart des autres ordinateurs.
Seule l'une de ces deux branches peut être vide.

Branche de données
La branche de données contient généralement ce que l'on appelle un fichier de données sur le PC. Dans les échanges de fichiers entre Macintosh et PC, il est généralement inutile de s'intéresser au contenu de la branche de ressources (hormis le cas spécial des polices de caractères et des programmes/applications).

Branche de ressources
La branche de ressources contient le code des programmes, les polices, etc. Elle peut également, dans le cas d'un fichier graphique, contenir une image (vignette) de prévisualisation.
Contrairement à ce qui est parfois dit (y compris par des personnes généralement compétentes et bien informées par ailleurs), la branche de ressources ne contient pas la signature des fichiers (le type de fichier et le créateur du fichier). Ce n'est donc pas parce qu'un fichier Macintosh est passé sur un PC et a donc (généralement) perdu sa branche de ressources qu'il devient illisible et inexploitable. L'absence de signature correcte empêche uniquement d'ouvrir le fichier par un double clic sur son icône. Tant que le contenu utile est stocké dans la branche de données, rien n'est perdu. Il suffit généralement d'ouvrir le fichier en passant par l'application voulue (menu Fichier, rubrique Ouvrir).

Pourquoi une branche de ressources ?
La branche de ressources est organisée comme une base de données et non pas sous la forme d'un flux non structuré d'octets, comme c'est le cas de la branche de données. Cela permet un accès très rapide aux éléments qui y sont stockés, et même une mise à jour lorsque des éléments doivent être modifiés.

Comment ne pas dissocier les deux branches ?
La « perte » de la branche de ressources est l'une des catastrophes mythiques qui revient sans cesse dans les discussions sur les transferts de fichiers Macintosh.
Deux méthodes sont utilisées essentiellement pour conserver ensemble les deux branches des fichiers Macintosh. Il s'agit de la norme MacBinary et de la norme BinHex.
Apple a également publié deux normes, appelées Apple Single et Apple Double, pour pallier ce problème.


Format Binhex

Introduction
Le format BinHex a été inventé pour répondre à deux besoins. D'une part celui de coder sur 7 bits seulement le contenu des fichiers binaires (donc codés sur 8 bits), afin de leur permettre de transiter par les réseaux, et par le courrier électronique, notamment. D'autre part celui de réunir les deux branches des fichiers Macintosh en un seul fichier.
Enfin, l'auteur de cette norme, Yves Lempereur, a rajouté une fonction de compression élémentaire, de type RLE, pour éviter de transmettre des séquences de plusieurs caractères identiques.

Comment reconnaître un fichier codé en BinHex ?
L'extension utilisée pour les fichiers BinHex est généralement HQX, mais on rencontre aussi fréquemment des fichiers sans extension. La signature de ces fichiers (sur un support HFS) est TEXTBNHQ.
De plus, la première ligne des fichiers codés en BinHex est la suivante :

(This file must be converted with BinHex 4.0)

Il suffit donc d'ouvrir le fichier dans un programme de traitement de textes pour l'identifier. Cette ligne est normalement facultative, mais nous n'avons jamais rencontré de fichiers BinHex qui ne la comportent pas. L'une des caractéristiques de ces fichiers est également que le flux de données utile doit commencer et finir par le signe "guillemets".
Nous avons déjà vu des fichiers où la ligne ci-dessus n'était pas la première, mais la seconde. Dans ce cas, nos programmes n'identifient pas correctement les fichiers comme des fichiers BinHex et les traitent comme des fichiers de données. Ouvrez le fichier dans un éditeur de texte et supprimez la première ligne.

Quand peut-on rencontrer des fichiers BinHex ?
La norme BinHex est l'une des options (avec le format mime) de la plupart des logiciels de messagerie Macintosh. Ces programmes codent et décodent le format de manière transparente pour l'utilisateur. Toutefois, lorsque le courrier est échangé entre Mac et PC, il est possible que le logiciel de réception ne sache pas identifier ces fichiers et se contente de les stocker sur le disque dur.
Le format BinHex est également utilisé par certains programmes pour générer des fichiers Macintosh sur d'autres plates-formes. C'est notamment le cas de Flash, de Macromedia. Dans ce cas, la norme BinHex joue le même rôle que la norme MacBinary, le codage sur 7 bits n'ayant pas de justification technique.

Comment décoder les fichiers BinHex ?
Il existe un certain nombre d'utilitaires assurant le décodage des fichiers BinHex sur un PC. Ils ne se caractérisent généralement pas par leur souplesse ou par leur généralité. Les problèmes de fonctionnement que l'on peut rencontrer sont les suivants :

  • Pas de récupération du véritable nom du fichier
  • Pas d'ajout d'extension pour identifier la nature du fichier
  • Pas de récupération du contenu de la branche de ressources.

Par opposition, tous nos programmes connaissent le format BinHex et traitent ces fichiers correctement.


Format MacBinary

Fichiers MacBinary
La norme de fait MacBinary (les spécifications des versions I, II et III sont disponibles sur le site de Lazerware mais n'intéresseront que les programmeurs) a pour raison d'être de maintenir dans un conteneur unique les deux branches du fichier Macintosh, afin qu'elles ne soient pas dissociées et perdues sur les liaisons de télécommunications ainsi que dans les répertoires des serveurs. De même que les archives SEA, qui ne constituent qu'un cas particulier des fichiers MacBinary, ils se présentent sous la forme d'un conteneur composé de trois parties :

  • En-tête du Finder (longueur 128 octets)
  • Branche de données (longueur variable)
  • Branche de ressources (longueur variable, commençant sur une frontière de bloc de 128 octets).

Il arrive que l'on ait à télécharger depuis un serveur Internet ou autre des fichiers Macintosh, qu'il s'agisse de données, de programmes ou d'archives autoextractibles. Généralement, les fichiers à télécharger sont stockés sous la forme d'un conteneur MacBinary (voir également notre page sur le format BinHex). Certaines précautions doivent être prises pour replacer correctement les éléments du fichier si l'on souhaite pouvoir les exploiter sur le Macintosh.

Réinstallation d'un fichier MacBinary sur un support Mac
Il est relativement simple de réinstaller un fichier MacBinary sur un support Macintosh, pour pouvoir ensuite l'exécuter sur un Macintosh, qu'il s'agisse d'un programme en général ou d'une archive autodécompactable.
Nous allons décrire la procédure avec MacDisk et une disquette.
Prenez une disquette Macintosh ou formattez-en une (n'oubliez pas que vous pouvez effectuer un reformatage rapide sur une disquette PC 1,44 Mo en bon état). Cliquez sur le bouton de copie entre le PC et le Mac. Sélectionnez le fichier dans la boîte de dialogue et lancez la copie. MacDisk détecte automatiquement les fichiers MacBinary et BinHex.
Vous observerez que le fichier, sur le support Macintosh, ne porte pas nécessairement le nom qu'il avait sur le support PC. En effet, le nom Macintosh original du fichier était stocké dans l'en-tête binaire et notre programme l'a restauré. Vous observerez aussi qu'une partie du fichier a été placée dans la branche de données et une autre dans la branche des ressources.
Il vous suffit maintenant de monter le volume sur un Macintosh. S'il s'agit d'une application, double-cliquez sur l'icône pour l'exécuter.

Installer un fichier MacBinary dans un projet sous MacImage
Quand vous incluez dans un projet un fichier MacBinary, MacImage l'identifie automatiquement et va chercher à l'intérieur du fichier les renseignements dont il a besoin. Vous n'avez rien de spécial à faire, tout s'opère automatiquement.


Signatures Macintosh

Qu'est-ce que la signature d'un fichier Macintosh ?
Pour identifier le type de fichier, le Macintosh n'utilise pas une extension de trois caractères (ou même de quatre, ou plus encore), mais une signature. Les signatures sont des chaînes de huit caractères, à savoir quatre pour le créateur (le programme qui a créé le fichier) et quatre pour le type de fichier (texte, image, etc.).
La table de ces signatures et les icônes correspondantes sont stockées par le Finder, pour toutes les applications qui ont existé à un moment quelconque sur un disque, dans le fichier Desktop (un fichier système qui n'est jamais affiché par le Macintosh mais qui existe dans la racine de chaque disque). Avec le Système 7, le Desktop s'est dédoublé en un fichier appelé Desktop DB et un autre appelé Desktop DF, pour des raisons qu'il serait trop long d'expliciter ici.

Où sont stockées les signatures ?
Contrairement à ce qui est souvent affirmé, même par des personnes qui savent généralement ce dont elles parlent, ces signatures ne sont pas stockées dans la branche des ressources de chacun des fichiers, mais gérées par le Finder dans l'arbre du catalogue (une structure de gestion du disque à laquelle l'utilisateur n'a pas besoin d'avoir accès directement).
Cette erreur a une triple explication. D'une part, dans le fait que les programmes doivent déclarer (dans leur branche de ressources) le type de fichier qu'ils entendent gérer, de manière à ce que le Finder sache quoi faire lorsque l'utilisateur effectue un double clic sur une icône.
De même, l'icône affichée pour un fichier donné est trouvée par le Finder dans la branche de ressources du programme et est ensuite stockée dans le fichier Desktop. Enfin, certains programmes créant des fichiers graphiques placent dans la branche de ressources du fichier de données une image en basse résolution (image de prévisualisation) qui est utilisée par le Finder à la place de l'icône générique.

Tables de signatures
Nous avons regroupé ci-dessous certaines signatures et les extensions de type PC qui leur correspondent (si vous souhaitez ajouter ou corriger quelque chose, vous pouvez naturellement nous le faire savoir. Cette page est mise à jour pratiquement une fois par semaine.
Pour ceux qui sont amenés à éditer la table des signatures utilisée par nos programmes MacDisk et MacImage), vous devez noter la signature et l'extension que vous entendez utiliser et l'intégrer dans le fichier de signatures avec l'utilitaire SignEdit ou encore un éditeur de texte. De même, si un transfert ne donne pas les résultats que vous attendez, contrôlez la signature réelle d'un fichier dont l'origine est certaine, sur un véritable support Macintosh (regardez dans la dernière colonne du volet d'affichage, ou encore dans la boîte de dialogue 'Propriétés').

Formats "génériques"
Ces signatures identifient un type de fichier, mais sans spécifier le créateur ('????' est une chaîne de créateur valide). Elles sont souvent utiles lorsqu'un programme n'accepte d'importer qu'un type spécifique de données, sans se donner la peine d'aller ouvrir le fichier pour savoir ce qu'il contient réellement. Nous indiquons l'extension PC lorsque celle-ci est bien établie.

Signature | Extension | Commentaires
APPL???? |  | Application (programme)
EPSF???? | EPS | EPS générique
JPEG???? | JPG | JPEG générique
PICT???? | PCT | Fichier Pict générique
TEXT???? | TXT | Texte générique
TIFF???? | TIF | TIFF générique

Formats "spécifiques"
Ces signatures identifient d'une part le type de fichier, d'autre part le créateur. Les applications autres que le créateur se contentent généralement de consulter le type de fichier pour déterminer si elles sont en mesure de le traiter.

Signature | Extension | Commentaires
8BIM8BIM | PSD | Photoshop 3
8BIM8BPS | PSD | Photoshop 3 (calques)
AB65AD65 | P65 | Pagemaker 6.5
ALB4ALD4 | PM4 | Pagemaker 4
ALB5ALD5 | PM5 | Pagemaker 5
ALB6ALD6 | PM6 | Pagemaker 6
APPLaust |  | Archive autodécompactable créée par Stuffit
APPLEXTR |  | Archive autodécompactable créée par Compact Pro
cDRWdDRW |  | Claris Draw
CWWPBOBO | CWK | Claris Works v. 1 à 5
dPROdDOC | MDP | MacDraw Pro
DDAPDDFL |  | Fichier compressé par Disk Doubler ??
EPSPXPR3 |  | EPS Spécial Xpress
FH50AGD1 | FH5 | Freehand 5
FHD3FHA3 | FH3 | Freehand 3
FMP3FMP3 | FP3/FMP | FileMaker Pro
FXTCEggP | AEP | Projet d'After Effects
inDdinDn | IND | Document Indesign
LWFNASPF |  | Police Type 1 d'Adobe
MDPLDRWG |  | Fichiers MacDraw II
MDRWDRWG |  | Fichiers MacDraw
MooVTVOD | MOV | Fichiers QuickTime
MV93MD93 | DIR | Macromedia Director
MW2DMWII |  | Mac Write II
nX^2nX^n |  | WriteNow 3
nX^nnX^n |  | WriteNow 2
PACTCPCT |  | Archive créée par Compactor (Pro)
PDF CARO | PDF | Fichiers Acrobat (notez l'espace après PDF)
QSfLQSfl |  | Fichier de contrôle de l'AV Symantec
SIT!SIT! | SIT | Archive compactée par Stuffit
SITDSIT! | SIT | Archive compactée par Stuffit
SLD3PPT3 | PPT | Power Point 3
SLD8PPT3 | PPT | Power Point 98
StMIGIFf | GIF | Fichiers GIF créés par PageMill
StMITEXT | HTM | Fichiers HTML créés par PageMill
TEXTART3 | AI | Illustrator 3
TEXTBNHQ | HQX | BinHex
TEXTOMEG |  | Mathematica (tous types de fichiers)
W6BNMSWD | DOC | Microsoft Word 6
W8BNMSWD | DOC | Microsoft Word 8 (98)
WDBNMSWD | DOC | Word 3/4/5 Macintosh
WORDBOBO | CWK | Claris Works (texte)
WORDMACA |  | Mac Write 4.6/5
WP42SSIW | WP4 | Wordperfect 4 (sauvé par WP Mac)
WP50SSIW | WP5 | Wordperfect 5 (idem)
WTBNMSWD | DOT | Modèle Word
XDOCXPR3 | QXD | Xpress (toutes versions)
XLBNXCEL | XLS | Excel 1 pour le Macintosh
XLS4XCEL | XLS | Excel 4
XLS5XCEL | XLS | Excel 5
ZIP_ZIP_ | ZIP | Archive de type Zip (le '_' est un espace)

Nous reprenons ci-dessous une liste plus complète avec d'abord une liste des types de fichiers que nous avons déjà rencontrés, puis une liste des créateurs que nous avons identifiés.

Types de fichiers
Signature | Commentaires
..CT | Fichier Scitex (placez 8BIM dans le créateur si vous voulez que ces fichiers s'ouvrent directement dans Photoshop
.WP4 | Texte WP 4 vu par Wordperfect 2
.WP5 | Texte WP 51 vu par Wordperfect 2
8BIM | Fichier Adobe Photoshop au format natif
8BPS | Calque Photoshop
AB65 | Pagemaker 6.5
ALB3 | PageMaker 3
ALB4 | PageMaker 4
ALB5 | PageMaker 5
ALB6 | PageMaker 6
AWDB | Base de données MS-Works
AWSS | Feuille de calcul MS-Works
AWWP | Traitement de textes MS-Works
BINA | Fichier de texte sauvé au format DOS ou Winword par Word Mac 5
CrTC | Fichier de projet de Toast 3
CWWP | Fichier de texte de Claris Works
DCT5 | Dictionnaire de Word
DDFL | Fichier de données de Disk Doubler
dDOC | Fichier de dessin de MacDraw Pro
dDRW | Fichier de dessin Claris Draw
DRWG | Fichier de dessin de MacDraw
DWG_ | Fichier AutoCAD ?? (avec un espace final)
EggP | Projet d'After Effects
EPSF | Fichier EPS
FFIL | Valise de polices (Type 1 ou True Type)
ffil | Police d'affichage
FH50 | Fichier Freehand 5
FHD3 | Fichier Freehand 3
F#+D | Fichier de Rag Time Classic
FMK$ | Fichier de FileMaker
FMP3 | Fichier de FileMaker Pro 3
GIFf | Fichiers GIF de PageMill
GLOS | Glossaire de Word
Himg | Fichier-image créé par Toast
inDd | Document Indesign
JPEG | Fichier JPEG
lfil | Police True Type
LWFN | Police type 1 (PostScript)
MooV | Fichier QuickTime
MPEG | Fichier MPEG (codage MPEG1)
MPWd | Document MacWrite Pro 1.5
MW2D | Document MacWrite II
MW2S | Document MacWrite II (modèle)
nX^2 | Fichier Write Now 3
nX^d | Fichier Write Now 2
PACT | Fichiers Compactor
PDF_ | Fichiers Acrobat (PDF). Le _ représente un espace)
PICT | Fichier graphique
R#+A | Fichier de texte de RagTime Classic
RTF_ | Fichier RTF (le _ étant un espace)
S#+A | Fichier de texte de Rag Time 2
SIT! | Archive Stuffit
SITD | Archive Stuffit
SLD3 | PowerPoint 3
SLD8 | PowerPoint 8
TIFF | Format graphique
W6BN | Mac Word 6
W8BN | Mac Word 8 (98)
WDBN | Mac Word 3, 4, 5
WHLP | Fichier d'aide de Word
WORD | MacWrite (texte formaté)
WP42 | Texte WP 4 vu par Wordperfect 1
WP50 | Texte WP 51 vu par Wordperfect 1
WPD0 | Texte Wordperfect 1
WPD1 | Texte Wordperfect 2
WPD3 | Texte Wordperfect 3
WPRD | Fichier d'impression de Word
WTBN | Modèle Word
XDOC | Fichier Xpress
XTMP | Gabarit Xpress
XLBN | Feuille de calcul Excel 1
XLS_ | Feuille de calcul Excel 2.2 (le _ représente un espace)
XLS3 | Feuille de calcul Excel 3
XLS4 | Feuille de calcul Excel 4
ZIP_ | Archive zippée (le _ représente un espace)

Codes des créateurs
Signature | Commentaires
8BIM | Adobe Photoshop
AD65 | Pagemaker 6.5
ACAD | AutoCAD
AGD1 | Freehand 5
ALD3 | PageMaker 3
ALD4 | PageMaker 4
ALD5 | PageMaker 5
ALD6 | PageMaker 6
ART3 | Illustrator 3
ART5 | Illustrator 5 et suivants
ARTY | Illustrator 1
ARTZ | Illustrator 88
BOBO | Claris Works
CARO | Acrobat Distiller
CDr3 | Toast v. 3
cDRW | Claris Draw
CPCT | Compactor (Pro ?)
DDAP | Application Disk Doubler
dPRO | MacDraw Pro
ERIK | Finder (fichier Desktop)
F#+A | Rag Time Classic
FHA3 | Freehand 3
FMK4 | FileMaker (II ?)
FMP3 | FileMaker Pro 3
FXTC | After Effects
inDn | Indesign
MACA | MacWrite 2.2 et 4.6
mdos | Fichier DOS copié par AFE ou Echange PC-Mac
MDRW | MacDraw
MDPL | MacDraw II
MOSS | Netscape (Mozilla)
MPWR | MacWrite Pro
MSWD | Microsoft Word 3/4/5 pour le Mac
MSWK | Microsoft Works 3/4 pour le Mac
MWII | MacWrite II
nX^n | Write Now toutes versions
OMEG | Mathematica
PPT3 | PowerPoint (toutes versions)
PSIP | MS-Works 1
PSI2 | MS-Works 2
R#+D | Rag Time 3
S#+D | Rag Time 2
SIT! | Stuffit
SSIW | Wordperfect 1
StMI | PageMill
TVOD | QuickTime
vgrd | LaserWriter (fichier Postscript)
WPC2 | Wordperfect 2 (3 aussi)
XPR3 | QuarkXpress 3
XCEL | Excel

Quelques sites complémentaires pouvant vous aider dans votre recherche :

  • Page des signatures de notre site Internet
    Étant donné que la présente page n'est qu'une copie de la page que nous consacrons à cette question sur l'Internet, vous pouvez éventuellement la visiter pour disposer des dernières mises à jour.


Dossier de destination (copie Macintosh --> PC)

Dossier de destination
(copie Macintosh --> PC)

Introduction
Cette fenêtre est appelée lorsque, après avoir sélectionné un ou plusieurs fichiers ou dossiers dans le dossier courant du volume Macintosh, vous demandez la copie vers le PC.
Le principe est de sélectionner le dossier qui servira de destination à ces fichiers. Cliquez sur le bouton 'Parcourir'.

Vous pouvez créer un nouveau dossier afin de mieux organiser le classement de vos fichiers. La boîte propose un bouton qui crée un nouveau dossier dans le dossier courant. Quand vous êtes satisfait du dossier courant, cliquez sur le bouton 'OK'. Quand vous êtes revenu à la première fenêtre, cliquez sur le bouton 'Copier maintenant'. Ce dossier de destination est sauvegardé par le programme entre les sessions, si bien qu'il sera à nouveau affiché la prochaine fois que vous demanderez une copie de fichiers vers le PC.

Navigation sur le disque dur du PC
Si vous êtes nouvel utilisateur d'un PC sous Windows, il est bon que vous preniez le temps de vous y accoutumer. Essayez différentes manipulations tout en contrôlant les effets sur l'affichage.


Copie PC -> Macintosh

Cette grande fenêtre vous permet de vous déplacer entre les lecteurs et les dossiers des supports PC pour y sélectionner les fichiers ou les dossiers que vous souhaitez copier vers le volume Macintosh.
La ligne intitulée 'Chemin' vous indique à quel endroit de l'arborescence du disque PC vous vous trouvez. Elle se compose de la lettre du disque (par exemple 'C:\') et des différents sous-dossiers. Cette ligne est mise à jour à chaque fois que vous changez de dossier (en cliquant sur une des rubriques de la liste 'Dossiers').
Il est possible de demander la copie soit tous les fichiers, soit d'une sélection de fichiers. Les fichiers qui existent dans le dossier PC courant sont affichés dans la boîte située sur le côté gauche. Si le masque de sélection (dans la zone d'édition située tout en haut de la fenêtre) est *.*, tous les fichiers présents dans le dossier sont affichés. Si tous ces fichiers ne vous intéressent pas, ou s'ils sont trop nombreux, vous pouvez demander un affichage sélectif. Tapez par exemple '*.doc" pour ne sélectionner que les fichiers Word, '*.xls' pour ne copier que les fichiers Excel, etc.
Enfin, pour vous aider dans la sélection des fichiers, nous affichons le nombre des fichiers sélectionnés et leur longueur totale (tous les fichiers correspondant au masque de sélection, ou encore seulement ceux que vous avez sélectionnés manuellement en cliquant sur le nom).
La copie vers le volume Macintosh se lance en cliquant sur l'un des deux boutons suivants :

  • Copie de la sélection (fichiers sélectionnés dans la liste de gauche)
  • Copie de tous les fichiers.

Un bouton intitulé 'Ne pas refermer après copie' vous permet de garder cette boîte ouverte après la copie d'une première série de fichiers, pour relancer une opération, etc.


Création d'un dossier

Cette fenêtre vous permet de créer un dossier sur le support de destination. Saisissez simplement le nom que vous voulez lui donner.
Sur les supports Macintosh HFS, les noms de dossiers et de fichiers ne peuvent pas excéder 31 caractères. Sur les supports HFS+ (Mac OS Étendu, la limite est de 255 caractères. Cette limite est rappelée dans la boîte de dialogue.


Fenêtre de message avec option d'abandon

Cette fenêtre de message est affichée si vous frappez la touche ESC au cours d'une opération de longue durée. Elle est destinée à vous permettre de confirmer ou d'infirmer cette demande d'interruption.

Notez bien que certaines opérations ne peuvent pas être annulées (comme le début du formatage d'un disque).

Retour à la page « Comment faire... ».


Fenêtre de message simple

Cette Fenêtre de message affiche un message d'information qui est suffisamment important pour exiger que l'utilisateur en prenne connaissance de cette manière (et non pas par la ligne d'état au bas de la fenêtre principale du programme, ce qui est utilisé pour des messages de moindre importance).

Il peut être utile de prendre note du texte exact du message avant de contacter l'assistance technique.

Retour à la page « Comment faire... ».


Fenêtre de message Oui/Non

Cette fenêtre de message vous pose une question avant de réaliser une opération qui ne peut pas être annulée et vous demande de confirmer ou d'infirmer en cliquant sur le bouton Oui ou Non.
Elle est par exemple utilisée lorsque vous avez demandé la suppression d'un dossier contenant des fichiers.

Retour à la page « Comment faire... ».


Fenêtre de message Oui/Non et Tous/Aucun

Cette fenêtre de message vous informe de circonstances rencontrées dans l'exécution du programme et vous demande de confirmer ou d'infirmer en cliquant sur le bouton Oui ou Non.
Par opposition à la fenêtre simple, elle comprend également un bouton Tous et un bouton Aucun pour donner une réponse positive ou négative qui s'appliquera dans tous les cas futurs (par exemple, ignorer toujours telle anomalie, ou toujours convertir sans demander confirmation, etc.).

Retour à la page « Comment faire... ».


Propriétés

Cette grande fenêtre affiche les propriétés (éléments caractéristiques, parfois appelés attributs) du fichier sélectionné. Il s'agit successivement du nom, de la longueur des données et des ressources (branches des fichiers Macintosh), de la signature et des dates de création et de dernière modification.
La plupart des éléments peuvent être modifiés. Il convient cependant que vous sachiez bien ce que vous faites. Vous ne transformez pas un fichier graphique en fichier de texte simplement parce que vous modifiez sa signature. A l'inverse, il existe des applications (MacWrite 4.6, par exemple, pour citer un exemple historique qui ne vexera plus personne) qui refusent "bêtement" de charger un fichier parce qu'il ne possède pas la signature voulue, si bien que cette fonction est indispensable.
Une zone d'édition intitulée 'Identification du fichier' affiche la chaîne d'identification que le programme affiche dans la colonne type.

Attributs avancés
Un bouton 'Attributs avancés' appelle une seconde fenêtre d'information qui intéressera essentiellement les techniciens.

Retour à la page « Comment faire... ».


Propriétés (2)

Cette seconde fenêtre affiche des informations techniques sur le fichier sélectionné.

Retour à la page « Comment faire... ».


Renommer un fichier ou un dossier

Cette fenêtre vous permet de spécifier le nouveau nom que vous voulez donner au fichier ou au dossier.
Elle est également utilisée pour renommer le volume Macintosh.

Retour à la page « Comment faire... ».


Sélection d'un fichier

À la fin d'une opération de recherche, plusieurs fichiers correspondent aux critères que vous avez donnés. Sélectionnez celui qui vous intéresse le plus.

Retour à la page « Comment faire... ».


Fenêtre de sélection

Cette fenêtre affiche un certain nombre de rubriques entre lesquelles vous êtes invité à choisir. Les informations affichées dépendent du contexte dans lequel la fenêtre a été appelée. Il peut s'agit de fichiers correspondant à une recherche, etc.

Retour à la page « Comment faire... ».


Sélection de la partition ou de la piste

Lorsqu'un volume Macintosh est partitionné, le programme affiche cette boîte de sélection pour vous permettre de sélectionner la partition à afficher.
Dans le cas d'un CD-ROM, le même principe s'applique aux pistes ou sessions des disques multisession.


Copie de fichiers

Pour en savoir plus :

  • Copie de la branche de données
  • Copie de la branche de ressources
  • Copie du PC vers le volume Macintosh
  • Copie du volume Macintosh vers le PC
  • Modes de copie des fichiers
  • Copie brutale des fichiers


Accès de bas niveau aux disques

Introduction
MacDisk utilise deux méthodes pour accéder aux disques de l'ordinateur :

  • sous Windows 95/98/ME ainsi que sous Windows NT 4, il utilise la couche ASPI,
  • sous Windows 2000 et XP, il utilise un service spécial (Lsdiorw) exploitant des fonctions IOCTL (Input/Output Control) et SPTI (Scsi Pass-through Interface).

Pourquoi changer de méthode ?
Il peut arriver, dans certaines configurations sous Windows 2000 et XP seulement, que le programme ne parvienne pas à afficher les disques ou à accéder aux données.
Lorsque vous utilisez la méthode Lsdiorw, le programme n'accède pas aux disques et rend immédiatement la main sans afficher le contenu du disque sélectionné. Essayez dans ce cas de passer à la méthode Aspi.
Lorsque vous utilisez la méthode Aspi, le programme n'affiche pas certains des disques équipant votre PC, notamment les disques sur bus USB ou FireWire. Essayez dans ce cas de passer à la méthode Lsdiorw.
Dans les deux cas, si vous changez de méthode d'accès aux disques, il est nécessaire de refermer le programme et de le relancer pour que les changements soient enregistrés.
À noter également que ce changement de méthode d'accès remet à zéro la liste noire des disques qui ne doivent pas s'afficher.

Comment changer de méthode manuellement ?
Il peut se faire qu'il soit nécessaire de changer de méthode manuellement. Pour ce faire, ouvrez l'éditeur du registre, et cherchez la clef 'Aspi' sous Hkey_Local_Machine, Software, LS_Duhem, MacDisk. Mettez la valeur '-1' pour utiliser Lsdiorw et '1000' pour utiliser la couche Aspi.
Sous Windows 2000 et XP, nous n'installons pas la couche Aspi automatiquement. Vous devez le faire manuellement en utilisant l'installateur placé dans le dossier Aspi du CD-ROM d'installation.

Pour en savoir plus :

  • Disques supportés par MacDisk.


Service Lsdiorw

Introduction
Sous Windows 2000 et XP, nous n'utilisons plus la couche Aspi pour les accès de bas niveau aux disques équipant l'ordinateur, mais un service tournant sous le compte local system et appelant des fonctions SPTI et IOCTL.

Installation du service
Ce service doit être installé depuis un compte disposant des droits d'administrateur. L'installation est automatique dans ce cas au cours de l'installation du programme principal. Si cette installation échoue, vous devez la répéter, en lançant l'utilitaire d'installation/désinstallation lsdinst.exe.
Cet utilitaire vous propose deux boutons qui sont validés en fonction de l'état du service (installation ou désinstallation, suivant le cas).
Si vous ne le trouvez pas sur votre machine, ainsi que le service lsdiorw.exe lui-même (ils devraient se trouver dans le dossier \Program Files\LS_Duhem\lsdiorw), vous pouvez les recharger depuis notre site Web en utilisant le lien lsdiorw4.zip.

Fonctionnement du service
Ce service ne consomme pas de ressources lorsqu'aucun de ses clients ne lui envoie de requêtes, et tourne ainsi en tâche de fond sans rien faire. Il tourne ainsi même lorsque la session de travail ouverte est celle d'un utilisateur sans droits particuliers.
Lorsqu'un programme veut utiliser ses fonctions, il lui passe les adresses de zone de mémoire qui seront partagées par l'application et le service, pour passer les instructions et pour recevoir les données.
Lorsque l'application se termine, elle demande au service de libérer ces zones de mémoire.

Erreurs
En cas d'erreur, le service lsdiorw est arrêté par le Gestionnaire des services. Dans ce cas, il est nécessaire de le redémarrer. Pour ce faire, aller dans Démarrer, Paramètres, Panneau de Configuration, Outils d'administration et Services. Faites un clic droit sur la ligne de lsdiorw et sélectionnez l'option Démarrer. Cette manipulation doit se faire depuis un compte d'administrateur.

Sécurisation des accès aux disques
Les administrateurs pouvant légitimement exprimer des craintes face à cette démarche, qui court-circuite les systèmes de sécurité qu'ils mettent en place, nous avons prévu la possibilité de définir une liste noire.
La liste noire est une liste des disques auxquels les utilisateurs ne doivent pas accéder par cette méthode. Cette liste est une fonction normale de MacDisk, mais elle peut être verrouillée par l'administrateur pour que l'utilisateur ne puisse la modifier.
Voir le fichier admin.txt sur le disque de distribution pour plus de détails.

Voir aussi : Méthodes d'accès aux disques.


Propriétés des dossiers

Cette fenêtre affiche les propriétés du dossier sélectionné, en particulier le nombre de fichiers et de sous-dossiers qu'il contient.


Recherche brutale de la tête du volume

La fonction de recherche brutale de la tête du volume est utilisée pour lire des volumes Macintosh dont le formatage n'est pas tout à fait conforme aux normes d'Apple. Par exemple, certains programmes formattent des cartouches amovibles comme des disquettes (sans table de partition) ou encore ne renseignent pas correctement le premier secteur (le secteur 0 peut alors contenir une table de partition PC antérieure), si bien que le programme ne peut pas savoir s'il s'agit d'un support Macintosh ou autre.

Attention : N'oubliez pas que si vous avez dû utiliser ces fonctions, le disque doit être reformaté de toute urgence dès que vous avez récupéré vos données.


Colonnes d'affichage

Cette fenêtre affiche les colonnes dont se compose le volet d'affichage de droite. Elle offre des cases à cocher pour les colonnes qui doivent ou non être affichées.
Vous pouvez décocher celles qui ne vous intéressent pas.
Ces valeurs sont sauvegardées dans le Registre de Windows entre les sessions de travail.

Certaines des colonnes ne peuvent pas être supprimées (colonne du nom du fichier, par exemple).
Le bouton 'Défaut' rétablit l'affichage par défaut (ainsi que les largeurs par défaut).
Notez que vous pouvez également choisir d'afficher ou de cacher le volet d'exploration (volet de gauche).


Copie spéciale

Il peut arriver que certains fichiers ne puissent pas être copiés, généralement à partir de supports Macintosh qui ont fait l'objet de mesures de protection contre la copie à l'aide de fichiers ayant des noms composés d'un seul espace, etc.
Dans ce cas, cette fonction de copie spéciale permet de copier l'intégralité des fichiers, y compris les plus récalcitrants.

L'instruction à utiliser (après avoir vérifié que le disque PC a encore assez de place pour stocker tous les fichiers) est "COPY *". Vous pouvez éventuellement spécifier le début des noms de fichiers (par exemple, "COPY M*" pour copier tous les fichiers commençant par un 'M' majuscule.

Retour à la page « Comment faire... ».


Fenêtres de dialogue de MacDisk

Chaque fois que l'utilisateur doit intervenir, pour fournir un renseignement, ou spécifier une commande, MacDisk affiche une fenêtre. Ces fenêtres sont généralement simples à utiliser, mais elles offrent toutes cependant, pour rafraîchir la mémoire ou encore fournir une précision, une fonction d'aide contextuelle.

Cette aide contextuelle est accessible de deux manières. D'abord, en cliquant sur le bouton marqué d'un point d'interrogation dans le coin supérieur droit de la fenêtre :

Le curseur se transforme alors en point d'interrogation. Cliquez n'importe où dans la fenêtre pour afficher une aide qui vous rappelle l'objectif de la fenêtre et ce que le programme attend de vous, comme dans l'illustration ci-dessous :

Ce type d'aide est extrêmement commode, mais présente l'inconvénient de se refermer dès que l'utilisateur clique dans la zone de texte. Il est donc impossible d'appeler des écrans complémentaires, des explications, etc.

C'est la raison pour laquelle l'aide contextuelle peut également être appelée en cliquant sur l'icône du programme, qui est toujours présente dans ces fenêtres :

Cette fois, le programme appelle le fichier d'aide normalement, en affichant une page plus détaillée, ce qui vous permet d'aller plus loin dans votre recherche d'explications.


Propriétés du volume

Cette fenêtre affiche un certain nombre d'informations techniques sur le volume Macintosh courant. La plupart de ces données sont purement informatives et n'appellent pas de réponse de l'utilisateur, hormis le renommage du volume.
Par exemple, cela vous permet de savoir si le volume Macintosh ouvert a été formaté en HFS ou en HFS+, on encore s'il s'agit d'un volume MS-DOS, d'un CD-ROM ISO, etc.
Le premier appel de la fonction affiche une fenêtre simplifiée avec uniquement le type de volume, la taille, l'espace libre et le nombre de fichiers et de dossiers. Le bouton '>> Avancé' affiche la fenêtre complète.

Un nouveau clic sur le bouton '<< Avancé' referme ce volet d'informations techniques qui n'intéresseront que les spécialistes.

Retour à la page « Comment faire... ».


Autres opérations sur le volume Macintosh

Renommer le volume Macintosh
Imaginons maintenant que la disquette Macintosh sur laquelle vous avez copié ces fichiers provient de l'un de vos collaborateurs extérieurs, qui lui a donné son nom comme label de volume. Or, le destinataire ne doit pas savoir qu'une partie du travail qui lui est destiné a en fait été exécuté par M. Dupont. Il va donc falloir renommer la disquette. Cela peut également être le cas si, dans la fenêtre de formatage, vous avez laissé le nom par défaut ('Sans titre') et si vous décidez que la disquette doit porter le nom de votre entreprise (par exemple). Dans le menu 'Volume Mac', sélectionnez la rubrique 'Propriétés du volume'. MacDisk affiche la fenêtre des propriétés du volume.

Cette fenêtre affiche notamment le nom actuel du volume et vous permet de le modifier. Lorsque vous avez entré le nom, validez. MacDisk renomme le volume et affiche les modifications dans l'écran de travail.

Supprimer un fichier
Parmi tous les fichiers en '*.DOC' que vous avez copiés, il se fait qu'un fichier ne devrait pas être là. Il faut donc le supprimer. Cliquez sur le nom du fichier pour le sélectionner et cliquez sur le bouton [image] ou encore sur la touche Suppr. MacDisk exécute votre instruction et affiche le contenu modifié de la disquette.

Renommer un fichier
Enfin, l'un des fichiers a un nom qui mérite d'être modifié pour mieux correspondre à ce que vous souhaitez sur la machine de destination. Sélectionnez le fichier en cliquant sur son nom, appelez le menu contextuel d'un clic droit et sélectionnez 'Renommer'. MacDisk affiche la fenêtre de changement de nom d'un fichier.
Le même principe s'applique pour renommer un dossier.

Cette fenêtre affiche le nom actuel du fichier et propose une zone de texte pour le modifier. Lorsque vous avez entré le nom, validez. MacDisk renomme le fichier et affiche les modifications dans l'écran de travail.

Fin de la visite guidée
Voilà, vous avez fait vos premiers pas dans le programme MacDisk. Cela devrait vous suffire pour l'usage quotidien du programme.
Cependant, le système d'aide offre également des informations pour toutes les autres situations (plus ou moins fréquentes). Regardez ci-contre dans le volet « Sommaire ».


Erreurs dans MacTexte

Causes des problèmes de fonctionnement
Plusieurs causes peuvent expliquer les problèmes de fonctionnement rencontrés dans la phase de conversion logique des fichiers.

Le format n'est pas celui spécifié
Vous avez demandé la conversion d'un fichier qui n'est pas (par exemple) du Claris Works, mais du MS-Works. Le programme de conversion n'est pas en mesure d'identifier tous les formats, qui ne présentent pas toujours des éléments caractéristiques suffisants.

Le fichier n'est pas un fichier de texte
Le fichier est effectivement (par exemple) un fichier Claris Works, mais ce n'est pas un fichier de texte. MacTexte ne gère que les fichiers de texte, mais pas les bases de données ou les feuilles de calcul. Dans le cas d'une base de données, la solution est d'exporter en Ascii délimité (par des virgules, des points-virgules ou des tabulations). Le fichier de données brutes est ensuite importé dans l'application de destination. Dans le cas d'une feuille de calcul, il est préférable d'exporter dans un format Excel, ou encore dans un format Sylk pour les fichiers plus anciens.

Retour à la page principale de MacTexte.


Modes de copie des fichiers

Introduction
La fenêtre de changement de mode de copie est dissimulée dans le menu Expert pour deux raisons :

  • Il est assez rare d'avoir à changer ce mode.
  • Par le passé, nous avons souvent eu des appels à l'assistance technique parce que des utilisateurs non avertis avaient basculé le programme en mode de copie binaire et s'étonnaient de ne pas pouvoir ouvrir correctement leurs fichiers.

Les trois modes de copie
Le programme offre trois modes de copie :

  • Mode normal (copie des données)
  • Copie des ressources
  • Copie binaire (mode MacBinary)

Mode normal (copie des données)
C'est le mode par défaut. A chaque fois que le programme est relancé, il se place dans ce mode, qui correspond à l'usage le plus fréquent du programme. Vous ne devez quitter ce mode de travail que si vous êtes absolument sûr de ce que vous faites.

Copie des ressources
Il peut arriver que l'on souhaite copier uniquement la branche de ressources (par exemple, pour récupérer des polices de caractères). Voir également les fonctions de transfert de polices offertes par le programme.

Copie binaire (Mode MacBinary)
Lorsque le fichier stocké sur le support Macintosh doit être transféré sur un serveur, par exemple, il peut être souhaitable de le copier dans ce mode, où tous les éléments constitutifs sont placés dans un conteneur unique.
Ce mode de fonctionnement est également utilisé dans le cas où les fichiers doivent ensuite être placés par MacImage dans une image de CD-ROM purement Macintosh (HFS), hybride (HFS/ISO 9660) ou ISO 9660 avec Extensions Apple.

Retour à la page « Comment faire... ».


Normalisation

Les noms des fichiers Macintosh stockés sur un volume NTFS/SFM (serveur NT) peuvent contenir des caractères qui ne sont pas acceptés dans les noms de fichiers sur un volume PC. Par ailleurs, le plus souvent, ces noms de fichiers ne comportent pas d'extension.
Cette fenêtre affiche le nom d'origine et le nom « normalisé ». Si la longueur du nom dépasse 31 caractères, un bouton « Raccourcir » est validé.

A noter que si cette fonction peut parfois être nécessaire, elle doit être utilisée à bon escient, parce qu'elle peut gêner les utilisateurs qui ne retrouvent plus leurs fichiers sous les noms qu'ils leur avaient attribués.

Lorsque la normalisation a pour effet de créer des fichiers homonymes, nous ajoutons avant le point séparateur de l'extension un total de contrôle calculé à partir du nom original (par exemple, ABC_.DOC, où '_' est un caractère non affichable, donnera ABC_#34BF.DOC).


NTFS et les Services pour Macintosh

Les flux sur les disques NTFS
Sur les disques formatés en NTFS (New Technology File System), les fichiers ne sont pas nécessairement de nature monolithique, mais peuvent être composés de plusieurs flux (streams) nommés ou innommés. Cet état de choses est utilisé pour gérer différentes fonctions de sécurité du système de fichiers, mais aussi, et c'est ce qui nous intéresse ici, pour stocker les fichiers Macintosh d'une manière compatible avec leur nature, puisque l'on sait qu'ils sont composés de plusieurs branches (appelées forks en anglais).

NTFS et les fichiers Macintosh
Le système de fichiers NTFS permet donc de stocker et de retrouver dans des flux indépendants la branche de données et la branche de ressources. Un troisième flux stocke un certain nombre d'informations appelées les informations du Finder. Enfin, un dernier flux peut stocker les commentaires.

Retour à la page « Comment faire... ».


Préférences

Cette fenêtre est destinée à sélectionner et à paramétrer certains modes de fonctionnement du programme. Nous reprenons successivement chacun des boîtes en allant de gauche à droite et de haut en bas :

Comportement général du programme

Cinq bascules qui ne nécessitent pas de commentaires particuliers, mais qui correspondent à une utilisation avancée, où l'utilisateur n'a pas besoin qu'on lui demande sans cesse s'il est bien certain de vouloir supprimer un fichier (par exemple).

  • Montrer/cacher les fichiers système,
  • Sortir de MacDisk sans confirmation,
  • Confirmer ou non les suppressions multiples, y compris les dossiers qui ne sont pas vides
  • Afficher ou non le menu Expert,
  • Pas de test de lecture sur les disques à formater.

Paramètres divers

Il est possible de remplacer les boutons, dans la barre d'outils, par des textes. Cette fonction ne marche pas toujours très bien avec certaines cartes d'affichage anciennes.
Quand un caractère d'un nom de fichier ne peut pas être affiché, le programme utilise un caractère de remplacement (point d'interrogation par défaut). Vous pouvez choisir de le remplacer par un autre.

Conversion des polices

Quand vous avez ordonné à MacDisk de convertir toutes les polices, cette option est conservée pendant la session de travail (mais non pas entre les sessions. Il peut être nécessaire de revenir sur ce choix au moyen des options de cette boîte.

Système de fichiers pour le formatage

Cette option vous permet de sélectionner par défaut le système de fichiers HFS ou HFS+ (Mac OS Étendu). Ce dernier système de fichiers est utilisé de toute manière pour les disques de plus de 40 Go.

Nom des fichiers copiés vers le PC

  • Noms de fichiers longs
  • Noms repris sans changements
  • Noms courts (8+3)
  • Fichiers renommés à la volée
  • Noms sans changement + extension

Extension par défaut

Dans la copie des fichiers, vous pouvez choisir d'utiliser une extensio par défaut, et cette boîte vous permet de sélectionner l'extension à utiliser.

Copie des fichiers vers le volume Mac

Dans la copie vers le volume Mac, le système de fichiers HFS n'autorise que 31 caractères. Vous pouvez demander au programme de tronuqer automatiquement les noms trop longs. Cela risque de produire des homonymies, si bien qu'une autre option est prévue, à savoir de tronquer le nom de fichier à 26 caractères et d'ajouter un tiret et un CRC calculé sur le nom d'origine. De cette manière, vous êtes certain de ne jamais avoir d'homonymes.
La seconde option demande au programme de toujours écraser silencieusement les fichiers qui existent sous le même nom.

Options spéciales

Si vous avez validé l'affichage du menu Expert, vous pouvez choisir de conserver entre les sessions de travail le mode de copie sélectionné (données, ressources ou MacBinary). Nous ne conseillons pas de faire ce choix, qui s'oublie trop facilement.

Retour à la page « Comment faire... ».


Sortie du programme

Cette fenêtre est affichée pour vous demander de confirmer la sortie du programme. Elle est destinée à vous permettre de vous raviser si vous avez frappé trop vite 'Alt F4'.
Si vous pensez que ce « garde-fou » n'a pas de raison d'être, vous pouvez le supprimer dans la fenêtre 'Préférences' accessible depuis le menu 'Options'.

Retour à la page « Comment faire... ».


Couche Aspi dans le Registre

Cette fenêtre affiche les clefs du registre intéressant la couche Aspi (HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Aspi32 sous Windows NT/2000/XP, HKEY_LOCAL_MACHINE\System\CurrentControlSet\VxD\APIX sous Windows 95/98/ME). Elle est appelée depuis la fenêtre de sélection des disques ou encore depuis le menu Expert. Voyez notamment le contenu de la clef Parameters. Si elle contient ExcludeMiniports = « ATAPI », la couche Aspi ne permet plus d'accéder aux disques IDE/ATAPI (CD-ROM, Zip interne, etc.). Dans ce cas, le bouton « Supprimer ATAPI » de la fenêtre de dialogue est activé.
Supprimez le contenu de cette clef et redémarrez l'ordinateur (un troisième bouton apparaît pour ce faire). Vous devriez désormais avoir accès à tous vos disques.
Nota bene : nous avons observé quelques rares cas où cette inhibition est nécessaire pour la stabilité de la machine. Dans ce cas, notez la clef, ouvrez l'éditeur de registre et rétablissez l'ancienne clef (qui est sauvée sous le nom « OldExcludeMiniports »).

Retour à la page « Comment faire pour... ».


Fichier de signatures dans le Registre

Cette fenêtre affiche le contenu de la clef du Registre utilisée pour sauvegarder entre les sessions de travail le fichier de signatures à utiliser.
La première ligne affiche la définition de la clef, la seconde le contenu actuel de la clef et la troisième est utilisée pour spécifier un nouveau fichier (sélectionné en cliquant sur le bouton 'Parcourir' se trouvant sur la droite.


Test d'accès au lecteur

Lorsque vous effectuez un clic droit sur l'un des boutons représentant les disques dans la fenêtre de sélection, le programme vous propose de vérifier que le programme accède effectivement au lecteur voulu.
Un essai de lecture (donc un essai non destructif) est lancé pour vous permettre de vérifier que la diode d'accès au disque s'allume bien sur le disque voulu.

Retour à la page « Comment faire... ».


Traitement des fichiers

Extraction du contenu du fichier
Les fichiers Macintosh comportent deux branches. Vous pouvez demander l'extraction de la branche de données, de la branche de ressources, ou encore des deux. Dans la plupart des cas, l'option par défaut (branche de données) correspond à ce dont vous avez besoin, à savoir récupérer le contenu d'un fichier que l'on vous a adressé. Les autres options intéresseront les spécialistes.

Conversion en fichier MacBinary
La conversion en fichier MacBinary peut être utile, par exemple, pour replacer sur un support Macintosh, avec MacDisk ou MacImage, un fichier que vous avez reçu sur un PC au format BinHex.

Conversion de la police
Si MacMail a constaté que le fichier sélectionné était une police de caractères (une police True Type, Type 1 [PostScript] ou Open Type), il vous propose de convertir cette police au format utilisé sur le PC. Le résultat est correct pour les fichiers de polices qui sont correctement codés. Ce n'est malheureusement pas toujours le cas. Il faut alors essayer d'ouvrir la police dans un éditeur de polices pour changer le codage et réenregistrer le fichier.
Si MacMail ne vous propose pas de convertir un fichier dont vous pensez que c'est une police, il s'agit probablement d'une police d'affichage à l'écran, qui ne peut servir à rien sur le PC.

Conversion en RTF
Dans le cas de fichiers de texte d'origine Macintosh qui ne sont pas gérés par les programmes de traitement de texte qui existent sur le PC, MacMail vous propose de les convertir en RTF. Vous pourrez ensuite les ouvrir dans Word ou dans un autre programme pour les exploiter.

Ajout d'une extension
Lorsque vous avez reçu un fichier (par exemple un fichier Word Macintosh), l'absence d'extension "*.DOC" empêche Windows de lancer Word lorsque vous cliquez sur l'icône du fichier. Il est toujours possible de lancer d'abord l'application, puis d'ouvrir le fichier en passant par le menu Fichier puis l'option Ouvrir. Cela suppose que vous connaissiez la nature des fichiers que vous avez reçus, ce qui n'est naturellement pas toujours possible, ou pas toujours pratique.
MacMail est en mesure d'identifier un très grand nombre de fichiers (Word, Excel, RTF, Xpress, TIFF, EPS, Claris/Apple Works, GIF, JPEG, PNG, Filemaker Pro, etc.).
Si vous rencontrez un type de fichier courant que MacMail ne reconnaît pas, veuillez nous en adresser une copie afin que nous intégrions son traitement dans le programme. Merci d'avance.